import QtQuick 1.0

Item{
    id: dialog
    width: container.width
    height: container.height
    visible: false
    Rectangle {
        id: dialogOverlay
        width: parent.width
        height: parent.height
        opacity: 0.7
        color: "black"
        MouseArea{
            anchors.fill: parent
        }
    }

    Rectangle{
        anchors.centerIn: dialogOverlay
        width: 350
        height: 200
        color: "gray"
        radius: 10
        border.color: "white"
        border.width: 1
        smooth: true
        Item{
            anchors {top: parent.top; bottom: okButton.top; left: parent.left; right: parent.right}
            Text{
                id: msg
                width: parent.width
                height: parent.height
                horizontalAlignment: Text.AlignHCenter
                verticalAlignment: Text.AlignVCenter
                wrapMode: Text.WordWrap
                font.pixelSize: 18
                font.bold: true
                color: "white"
            }
        }


        Rectangle{
            id: okButton
            anchors {bottom: parent.bottom; horizontalCenter: parent.horizontalCenter; bottomMargin: 10}
            width: parent.width - 20
            height: 50
            radius: 5
            gradient: Gradient{
                GradientStop{position: 0; color: "lightgray"}
                GradientStop{position: .5; color: "gray"}
                GradientStop{position: 1; color: "lightgray"}
            }
            Text{
                anchors.centerIn: parent
                color: "white"
                font.pixelSize: 18
                font.bold: true
                text: "OK"
            }
            MouseArea{
                anchors.fill: parent
                onClicked: {
                    hideDialog();
                }
            }
        }
    }

    function showDialog(message){
        msg.text = message;
        dialog.visible = true;
    }

    function hideDialog(){
        dialog.visible = false;
    }
}

