import QtQuick 1.0

Rectangle {
    signal viewDeactivate

    id: view


    anchors.fill: parent
    opacity: 0
    clip: true
    // for travel between views
    Behavior on opacity { NumberAnimation { duration: 200} }

    Rectangle{
        id: loader
        z: 0
        anchors.fill: parent
        color: "black"
        visible: false
        AnimatedImage{
            id: loaderImg
            anchors.centerIn: parent
        }
    }

    onOpacityChanged: {
        if (opacity == 0){
            rightViewContainer.previous = view;
            view.viewDeactivate()
        }
    }

    function showLoader(){
        loaderImg.source = "../rsc/kreciol_czarny200x200.gif"
        loader.z = 10000
        loader.visible = true
    }

    function hideLoader(){
        loaderImg.source = ""
        loader.z = 0
        loader.visible = false
    }
}
