import QtQuick 1.0

Rectangle {
    property alias status: splashXmlModel.status
    property alias source: splashImg.source
    width: container.width
    height: container.height
    color: "black"

    Timer{
        id: splashTimeout
        repeat: true
        running: true
        interval: 2000
        onTriggered: {
            if (splashXmlModel.status === XmlListModel.Error || splashXmlModel.status === XmlListModel.Null){
                container.state = "DEFAULT"
                stop()
            } else if (splashXmlModel.status === XmlListModel.Ready) {
                stop()
            }
        }
    }

    Image{
        id: splashImg
        anchors.centerIn: parent
        smooth: true
    }

    Image{
        id: splashBanner
        width: splashXmlModel.status === XmlListModel.Ready ? splashXmlModel.get(0).imgWidth : parent.width
        height: splashXmlModel.status === XmlListModel.Ready ? splashXmlModel.get(0).imgHeight : parent.height
        anchors.centerIn: parent
        smooth: true
        fillMode: Image.PreserveAspectFit
        visible: splashXmlModel.status === XmlListModel.Ready
        source: {
            if (splashXmlModel.status === XmlListModel.Ready){
                if (splashXmlModel.get(0).imgSrc !== ""){
                    splashTimeout.stop()
                    return splashXmlModel.get(0).imgSrc
                }
            }
            return ""
            /*
            if (splashXmlModel.status === XmlListModel.Ready){
                if (splashXmlModel.get(0).imgSrc !== "")
                    return splashXmlModel.get(0).imgSrc
                container.state = "DEFAULT"
            } else if (splashXmlModel.status === XmlListModel.Error){
                console.log("error")
                container.state = "DEFAULT"
            }
            return ""
            */
        }
        MouseArea{
            anchors.fill: parent
            enabled: splashXmlModel.status === XmlListModel.Ready ? splashXmlModel.get(0).type === "url" : false
            onClicked: {
                splashCloser.stop()
                Qt.openUrlExternally( splashXmlModel.get(0).url )
                //urlOpener.open(splashXmlModel.get(0).url)
                container.state = "DEFAULT"
            }
        }

        Item{
            anchors {
                right: parent.right
                top: parent.top
            }
            width: 50
            height: 50
            Image{
                anchors.centerIn: parent
                source: "../rsc/close-button.gif"
                z: 10000

            }
            visible: splashXmlModel.status === XmlListModel.Ready ? splashXmlModel.get(0).close === "YES" : true
            MouseArea{
                anchors.fill: parent
                onClicked: close()
            }
        }
    }




    Timer{
        id: splashCloser
        running: splashXmlModel.status === XmlListModel.Ready
        repeat: false
        interval: splashXmlModel.status === XmlListModel.Ready ? splashXmlModel.get(0).delay * 1000 : 9999999
        onTriggered: close()
    }

    XmlListModel {
        id: splashXmlModel
        //source: "http://lajt1234onet.beta.onet.pl/ad_test/ad.html?site=LAJT_SYMBIAN&area=LIVEZONE&display=ADLAJT&size="+ container.width +"&height="+ container.height +"&ver=3"
        source: "http://lajt.onet.pl/ad_mob/ad.html?site=LAJT_SYMBIAN&area=LIVEZONE&display=ADLAJT&size="+ container.width +"&height="+ container.height +"&ver=3"

        query: "/ad"

        XmlRole { name: "delay"; query: "config/@delay/number()" }
        XmlRole { name: "close"; query: "config/@close/string()" }
        XmlRole { name: "type"; query: "config/@type/string()" }
        XmlRole { name: "imgSrc"; query: "img/@src/string()" }
        XmlRole { name: "imgWidth"; query: "img/@width/number()" }
        XmlRole { name: "imgHeight"; query: "img/@height/number()" }
        XmlRole { name: "url"; query: "link/@url/string()" }
    }

    function close(){
        splashCloser.stop()
        container.state = "DEFAULT"
    }

    function reload(){
        splashXmlModel.reload()
    }
}
