import QtQuick 1.0
import "../../js/functions.js" as F

Image{
    property string dateStr: date.getFullYear() +'-'+ (date.getMonth() < 10 ? '0' : '') + (date.getMonth() + 1) +'-'+ date.getDate()
    property string dateDesc: F.getWeekDayFullStr(date) +', '+ date.getDate() +' '+ F.getMonthStr(date) +' '+ date.getFullYear()

    height: parent.height
    width: 80
    z: 0

    source: ListView.isCurrentItem ? "../../rsc/wynik_on.png" : "../../rsc/wynik_off.png"
    fillMode: Image.PreserveAspectFit
    smooth: true

    Text{
        id: weekDayText
        anchors {top: parent.top; horizontalCenter: parent.horizontalCenter; topMargin: 2}
        font {pixelSize: 14; bold: true}
        color: "white"
        text: weekDay
    }
    Text{
        id: monthDayText
        anchors {bottom: parent.bottom; horizontalCenter: parent.horizontalCenter; bottomMargin: 2}
        font {pixelSize: 24; bold: true}
        color: "white"
        text: monthDay
    }

    MouseArea{
        id: mouseArea
        anchors.fill: parent
        onClicked: {
            if (datesList.currentIndex !== index){
                datesList.currentIndex = index;
            } else {
                datesList.currentIndex = -1;
                resetEventsSearch()
            }

        }
    }

    states: [
        State{
            name: "DISABLED"
            when: disabled
            PropertyChanges { target: weekDayText; color: "grey"}
            PropertyChanges { target: monthDayText; color: "grey"}
            PropertyChanges { target: mouseArea; enabled: false}
        }
    ]

    function getWeekDay(){
        return weekDayText.text
    }
}
