import QtQuick 1.0
import ".."

Item{
    property alias model: tournamentsList.model
    property alias list: tournamentsList

    width: matchesLists.width
    height: tournamentsList.contentHeight + 40 + 10
    objectName: sportName

    ListView{
        id: tournamentsList
        width: matchesLists.width
        height: {
            var h = (model.count - 1) * spacing + 40 + 10
            var matchHeight = sportId === 11 ? 130 : 88
            for (var i = 0; i < model.count; ++ i){
                var tournament = model.get(i)
                h += (matchHeight + 2) * tournament.matches.count + (tournament.matches.count - 1) * spacing + 25 + 10
            }
            return h
        }
        interactive: false
        spacing: 5
        model: tournaments
        header: Item {
            id: header
            width: parent.width
            height: 40
            Image{
                id: icon
                source: {
                    switch(sportId){
                        case 1:
                            return "../../rsc/footballSection.png"
                        case 5:
                            return "../../rsc/tenisSection.png"
                        case 4:
                            return "../../rsc/hockeySection.png"
                        case 2:
                            return "../../rsc/basketballSection.png"
                        case 6:
                            return "../../rsc/handballSection.png"
                        case 11:
                            return "../../rsc/f1Section.png"
                    }
                    return ""
                }

                anchors {left: parent.left; verticalCenter: parent.verticalCenter}
            }
            Text{
                anchors {left: icon.right; verticalCenter: icon.verticalCenter; leftMargin: 5}
                color: "#006699"
                font.pixelSize: 15
                font.bold: true
                text: sportName
            }
        }
        delegate: EventsViewTournamentDelegate{}
    }
}

