import QtQuick 1.0

Rectangle{
    z: 0
    property alias clickEnabled: mouseArea.enabled

    property int clickChange: 0

    id: wrapper

    width: matchesLists.width
    height: matchesList.contentHeight + 25 + 10
    radius: 10
    color: "lightgrey"

    MouseArea{
        id: mouseArea
        anchors.fill: parent

        onClicked: {
            wrapper.clickChange = 1
            tournament_id = tournamentId;
            resetEventsSearch();
        }
    }

    ListView {
        id: matchesList
        width: matchesLists.width
        height: (sportId === 11 ? 130 : 88) * model.count + (model.count - 1) * spacing + 25 + 2
        //height: 1000 //listModel.count * delegate ? delegate.height : 0 //matchesLists.height
        //contentHeight: height
        spacing: 5
        interactive: false
        model: matches
        //height: 25 + contentHeight + 10
        header: TournamentHeader{}
        delegate: getDelegate(sportId)

    }

    Timer{
        running: wrapper.clickChange == 1
        interval: 10
        onTriggered: {
            wrapper.color = "grey"
            wrapper.clickChange = 2;
        }
    }
    Timer{
        running: wrapper.clickChange == 2
        interval:  100
        onTriggered: {
            wrapper.color = "lightgrey"
            wrapper.clickChange = 0;
        }
    }
}

