import QtQuick 1.0

Item{
    property int index
    property alias text: title.text

    id: tab
    width: parent.width * .33 - 1
    height: 53
    state: "NORMAL"
    Image {
        id: leftImg
        anchors {
            top: parent.top
            left: parent.left
        }
        source: tab.state === "NORMAL" ? "../../rsc/butt_lightgray01.png" : "../../rsc/butt_gray01.png"
    }
    Image {
        id: centerImg
        anchors {
            top: parent.top
            left: leftImg.right
            right: rightImg.left
        }
        source: tab.state === "NORMAL" ? "../../rsc/butt_lightgray02.png" : "../../rsc/butt_gray02.png"
    }
    Image {
        id: rightImg
        anchors {
            top: parent.top
            right: parent.right
        }
        source: tab.state === "NORMAL" ? "../../rsc/butt_lightgray03.png" : "../../rsc/butt_gray03.png"
    }
    /*
    Gradient {
        id: normal
        GradientStop {position: 0.0; color: "white"}
        GradientStop {position: 1.0; color: "lightgrey"}
    }

    gradient: normal
    */

    Text{
        id: title
        anchors.centerIn: parent
        color: "black"
        font {pixelSize: 14; bold: true}
    }

    states: [
        State{
            name: "SELECTED"
            PropertyChanges{ target: title; color: "white"}
            PropertyChanges{ target: topBar; selected: index}

        },
        State{
            name: "NORMAL"
            PropertyChanges{ target: title; color: "black"}
        }
    ]

    MouseArea{
        anchors.fill: parent
        onClicked: select();
    }

    function select(){
        if (tab.state !== "SELECTED"){
            topBar.deselectAllTabs();
            tab.state = "SELECTED";
            resetEventsSearch();
            banner.show()
        }
    }
}
