import QtQuick 1.0

Item{
    id: header
    anchors {top: parent.top}
    width: parent.width
    height: 25
    Text{
        id: tournamentNameText
        anchors {left: parent.left; right: arrow.left; top: parent.top; leftMargin: 10}
        height: parent.height
        verticalAlignment: Text.AlignVCenter
        elide: Text.ElideRight
        font.family: "Verdana"
        font.pixelSize: 14
        font.bold: true
        color: "#666666"
        text: tournamentName
    }
    Item{
        id: arrow
        anchors {right: parent.right; verticalCenter: parent.verticalCenter; rightMargin: 9}
        width: 20
        height: 20
        Image {
            id: iconImg
            width: parent.width
            height: parent.height
            fillMode: Image.PreserveAspectFit
            smooth: true
            anchors.centerIn: parent
            source: "../../rsc/arrow.png"
        }
    }

    function setName(name){
        tournamentNameText.text = name;
    }
    function getName(){
        return tournamentNameText.text
    }
}
