import QtQuick 1.0
import ".."

Item {
    width: parent.width
    height: 130
    z: 1
    MatchTimeLive{id: matchTime; anchors.topMargin: 3}
    Item{
        id: matchDetails
        width: parent.width - 10
        height: 110
        anchors {top: matchTime.bottom; horizontalCenter: parent.horizontalCenter; topMargin: 2}
        Rectangle{
            property int clickChange: 0

            id: content
            width: parent.width
            height: parent.height
            color: "white"
            radius: 5
            Item{
                width: parent.width * .95
                height: parent.height

                Item{
                    id: circuitImgAndName
                    width: parent.width
                    height: 80
                    anchors.top: parent.top
                    Image{
                        id: circuitImg
                        width: parent.width * .3
                        height: parent.height
                        anchors {left: parent.left; verticalCenter: parent.verticalCenter; leftMargin: 5}
                        fillMode: Image.PreserveAspectFit
                        source: circuitImgSrc
                        Image {
                            width: 20
                            height: 15
                            anchors {top: parent.top; left: parent.left}
                            fillMode: Image.PreserveAspectFit
                            source: tournamentImgSrc
                        }
                    }
                    Item{
                        width: parent.width * .7
                        height: parent.height
                        anchors {left: circuitImg.right; leftMargin: 1}

                        Text{
                            id: tournamentNameText
                            horizontalAlignment: Text.AlignLeft
                            verticalAlignment: Text.AlignBottom
                            font.pixelSize: 16
                            font.bold: true
                            color: "black"
                            elide: Text.ElideRight
                            text: tournament
                        }
                        Text{
                            id: raceNameText
                            anchors {left: parent.left; top: tournamentNameText.bottom; leftMargin: 2; topMargin: 4}
                            horizontalAlignment: Text.AlignLeft
                            verticalAlignment: Text.AlignBottom
                            font.pixelSize: 16
                            color: "black"
                            elide: Text.ElideRight
                            text: '('+ raceName +')'
                        }
                        Text{
                            id: circuitNameText
                            anchors {left: parent.left; top: raceNameText.bottom; leftMargin: 2; topMargin: 4}
                            horizontalAlignment: Text.AlignLeft
                            verticalAlignment: Text.AlignBottom
                            font.pixelSize: 16
                            color: "grey"
                            elide: Text.ElideRight
                            text: circuitName
                        }

                    }
                }

                Image{
                    id: line
                    height: 2
                    width: parent.width * .95
                    anchors {bottom: positionsItem.top; horizontalCenter: parent.horizontalCenter; bottomMargin: 1}
                    fillMode: Image.PreserveAspectCrop
                    source: "../../../rsc/horizontalLine.png"
                }

                Item{
                    id: positionsItem
                    width: parent.width
                    height: 20
                    anchors.top: circuitImgAndName.bottom
                    anchors.topMargin: 1
                    F1Position{
                        id: position1Item
                        anchors.left: parent.left
                        position: position1
                        name: name1.substring(0, 3).toUpperCase()
                    }
                    F1Position{
                        id: position2Item
                        anchors.left: position1Item.right
                        position: position2
                        name: name2.substring(0, 3).toUpperCase()
                    }
                    F1Position{
                        id: position3Item
                        anchors.left: position2Item.right
                        position: position3
                        name: name3.substring(0, 3).toUpperCase()
                    }
                    F1Position{
                        id: position4Item
                        anchors.left: position3Item.right
                        position: position4
                        name: name4.substring(0, 3).toUpperCase()
                    }
                    F1Position{
                        id: position5Item
                        anchors.left: position4Item.right
                        position: position5
                        name: name5.substring(0, 3).toUpperCase()
                    }
                    Rectangle {
                        width: parent.width * .1
                        height: 19
                        radius: 3
                        smooth: true
                        anchors.left: position5Item.right
                        anchors.leftMargin: parent.width * .01
                        gradient: Gradient {
                            GradientStop {position: 0.0; color: "lightgrey"}
                            GradientStop {position: 1.0; color: "white"}
                        }
                        Text{
                            color: "black"
                            font {pixelSize: 18; bold: true}
                            anchors.horizontalCenter: parent.horizontalCenter
                            verticalAlignment: Text.AlignBottom
                            text: "..."
                        }
                    }
                }
            }
            Item{
                id: nextItem
                width: 20
                height: 20
                anchors {right: parent.right; verticalCenter: parent.verticalCenter; rightMargin: 5}
                Image{
                    width: parent.width
                    height: parent.height
                    fillMode: Image.PreserveAspectFit
                    //smooth:  true
                    source: "../../../rsc/arrow03.png"
                }
            }
            Timer{
                running: content.clickChange == 1
                interval: 10
                onTriggered: {
                    content.color = "grey";
                    tournamentNameText.color = "white";
                    raceNameText.color = "white";
                    circuitNameText.color = "white";
                    content.clickChange = 2;
                }
            }
            Timer{
                running: content.clickChange == 2
                interval:  100
                onTriggered: {
                    content.color = "white";
                    tournamentNameText.color = "black";
                    raceNameText.color = "black";
                    circuitNameText.color = "grey";
                    content.clickChange = 0;
                }
            }
            MouseArea{
                anchors.fill: parent
                onClicked: {
                    content.clickChange = 1;
                    showF1RaceDetail(matchId);
                }
            }
            Commentator{}
        }
    }
}
