import QtQuick 1.0

Rectangle{
    property int clickChange: 0

    id: content
    width: parent.width
    height: parent.height
    color: "white"
    radius: 5
    Item{
        id: teamNameItem1
        width: parent.width * .3
        height: parent.height
        anchors.left: parent.left
        Text{
            id: teamNameText1
            anchors {left: parent.left; right: parent.right; verticalCenter: parent.verticalCenter}
            wrapMode: Text.WordWrap
            horizontalAlignment: Text.AlignRight
            color: "grey"
            font.pixelSize: 14
            font.bold: true
            text: teamName1
        }
    }
    Item{
        id: scoreAndLogos
        width: parent.width * .3
        height: parent.height
        anchors {left: teamNameItem1.right}
        Item{
            id: logoItem1
            width: 40
            height: parent.height
            anchors {left: parent.left}
            Image{
                width: parent.width
                height: parent.height
                fillMode: Image.PreserveAspectFit
                anchors.centerIn: parent
                source: logo1
            }
        }
        Item{
            id: scoreItem
            anchors {left: logoItem1.right; right: logoItem2.left}
            height: parent.height
            Text{
                id: scoreText
                anchors.centerIn: parent
                color: "grey"
                font.pixelSize: 20
                font.bold: true
                text: score
            }
        }
        Item{
            id: logoItem2
            width: 40
            height: parent.height
            anchors {right: parent.right}
            Image{
                width: parent.width
                height: parent.height
                fillMode: Image.PreserveAspectFit
                anchors.centerIn: parent
                source: logo2
            }
        }
    }
    Item{
        id: teamNameItem2
        width: parent.width * .3
        height: parent.height
        anchors {left: scoreAndLogos.right; right: nextItem.left}
        Text{
            id: teamNameText2
            anchors {left: parent.left; right: parent.right; verticalCenter: parent.verticalCenter}
            wrapMode: Text.WordWrap
            horizontalAlignment: Text.AlignLeft
            color: "grey"
            font.pixelSize: 14
            font.bold: true
            text: teamName2
        }
    }

    Item{
        id: nextItem
        width: 20
        height: 20
        anchors {right: parent.right; verticalCenter: parent.verticalCenter; rightMargin: 5}
        Image{
            width: parent.width
            height: parent.height
            fillMode: Image.PreserveAspectFit
            smooth:  true
            source: "../../../rsc/arrow03.png"
        }
    }
    Timer{
        running: clickChange == 1
        interval: 10
        onTriggered: {
            content.color = "grey";
            teamNameText1.color = "white";
            scoreText.color = "white";
            teamNameText2.color = "white";
            clickChange = 2;
        }
    }
    Timer{
        running: clickChange == 2
        interval:  100
        onTriggered: {
            content.color = "white";
            teamNameText1.color = "grey";
            scoreText.color = "grey";
            teamNameText2.color = "grey";
            clickChange = 0;
        }
    }
    MouseArea{
        anchors.fill: parent
        onClicked: {
            clickChange = 1;
            switch (parseInt(sportId)){
                case 1:
                    showFootballMatchDetail(matchId);
                    break;
                case 2:
                    showBasketballMatchDetail(matchId);
                    break;
                case 4:
                    showHockeyMatchDetail(matchId);
                    break;
                case 6:
                    showHandballMatchDetail(matchId);
                    break;
            }
        }
    }
}
