import QtQuick 1.0
import "../live"
import ".."

MatchItemScores {
    MatchTimeScores{id: matchTime}
    MatchContent{
        id: matchContent
        anchors.top: matchTime.bottom
        Rectangle{
            property int clickChange: 0

            id: content
            width: parent.width
            height: parent.height
            color: "white"
            radius: 5
            Rectangle{
                id: playerItem1
                width: parent.width * .9
                height: parent.height / 2 - 1
                color: parent.color
                anchors.top: parent.top
                /*
                Item{
                    id: playerFlagItem1
                    width: 30
                    height: parent.height
                    anchors {left: parent.left; leftMargin: 20}
                    Image{
                        id: playerFlag1
                        width: parent.width
                        height: parent.height
                        fillMode: Image.PreserveAspectFit
                        anchors.centerIn: parent
                        source: logo1
                    }
                }
                */
                Item{
                    id: playerNameItem1
                    width: parent.width * .5
                    height: parent.height
                    anchors {left: parent.left/*playerFlagItem1.right*/; leftMargin: 10}
                    Text{
                        id: playerNameText1
                        width: parent.width
                        height: parent.height
                        verticalAlignment: Text.AlignVCenter
                        horizontalAlignment: Text.AlignRight
                        wrapMode: Text.WordWrap
                        color: "grey"
                        font.pixelSize: 14
                        font.bold: true
                        text: teamName1
                    }
                }
                Item {
                    id: winnerItem1
                    width: 20
                    height: parent.height
                    anchors.left: playerNameItem1.right
                    Image{
                        id: winner1
                        anchors.centerIn: parent
                        source: "../../../rsc/tenisWinner.png"
                        visible: isWinner1
                    }
                }
                TenisSet{
                    id: set1Item1
                    anchors {left: winnerItem1.right; leftMargin: 10}
                    Component.onCompleted: {
                        setValue(set1Value1);
                    }
                }
                TenisSet{
                    id: set2Item1
                    anchors {left: set1Item1.right; leftMargin: 5}
                    Component.onCompleted: {
                        setValue(set2Value1);
                    }
                }
                TenisSet{
                    id: set3Item1
                    anchors {left: set2Item1.right; leftMargin: 5}
                    Component.onCompleted: {
                        setValue(set3Value1);
                    }
                }
                TenisSet{
                    id: set4Item1
                    anchors {left: set3Item1.right; leftMargin: 5}
                    gradient1color: "#EFEFEF"
                    gradient2color: "#EFEFEF"
                    Component.onCompleted: {
                        setValue(set4Value1);
                    }
                }
                TenisSet{
                    id: set5Item1
                    anchors {left: set4Item1.right; leftMargin: 5}
                    gradient1color: "#EFEFEF"
                    gradient2color: "#EFEFEF"
                    Component.onCompleted: {
                        setValue(set5Value1);
                    }
                }
            }

            Rectangle{
                id: border
                height: 1
                width: parent.width * .9
                anchors.verticalCenter: parent.verticalCenter
                color: "lightgrey"
            }

            Rectangle{
                id: playerItem2
                width: parent.width * 0.9
                height: parent.height / 2 - 1
                color: parent.color
                anchors.bottom: parent.bottom
                /*
                Item{
                    id: playerFlagItem2
                    width: 30
                    height: parent.height
                    anchors {left: parent.left; leftMargin: 20}
                    Image{
                        id: playerFlag2
                        width: parent.width
                        height: parent.height
                        fillMode: Image.PreserveAspectFit
                        anchors.centerIn: parent
                        source: logo2
                    }
                }
                */
                Item{
                    id: playerNameItem2
                    width: parent.width * .5
                    height: parent.height
                    anchors {left: parent.left/*playerFlagItem2.right*/; leftMargin: 10}
                    Text{
                        id: playerNameText2
                        width: parent.width
                        height: parent.height
                        verticalAlignment: Text.AlignVCenter
                        horizontalAlignment: Text.AlignRight
                        wrapMode: Text.WordWrap
                        color: "grey"
                        font.pixelSize: 14
                        font.bold: true
                        text: teamName2
                    }
                }
                Item {
                    id: winnerItem2
                    width: 20
                    height: parent.height
                    anchors.left: playerNameItem2.right
                    Image{
                        id: winner2
                        anchors.centerIn: parent
                        source: "../../../rsc/tenisWinner.png"
                        visible: isWinner2
                    }
                }
                TenisSet{
                    id: set1Item2
                    anchors {left: winnerItem2.right; leftMargin: 10}
                    Component.onCompleted: {
                        setValue(set1Value2);
                    }
                }
                TenisSet{
                    id: set2Item2
                    anchors {left: set1Item2.right; leftMargin: 5}
                    Component.onCompleted: {
                        setValue(set2Value2);
                    }
                }
                TenisSet{
                    id: set3Item2
                    anchors {left: set2Item2.right; leftMargin: 5}
                    Component.onCompleted: {
                        setValue(set3Value2);
                    }
                }
                TenisSet{
                    id: set4Item2
                    anchors {left: set3Item2.right; leftMargin: 5}
                    gradient1color: "#EFEFEF"
                    gradient2color: "#EFEFEF"
                    Component.onCompleted: {
                        setValue(set4Value2);
                    }
                }
                TenisSet{
                    id: set5Item2
                    anchors {left: set4Item2.right; leftMargin: 5}
                    gradient1color: "#EFEFEF"
                    gradient2color: "#EFEFEF"
                    Component.onCompleted: {
                        setValue(set5Value2);
                    }
                }
            }

            Item{
                id: nextItem
                width: 20
                height: 20
                anchors {right: parent.right; verticalCenter: parent.verticalCenter; rightMargin: 5}
                Image{
                    width: parent.width
                    height: parent.height
                    fillMode: Image.PreserveAspectFit
                    smooth:  true
                    source: "../../../rsc/arrow03.png"
                }
            }
            Timer{
                running: content.clickChange == 1
                interval: 10
                onTriggered: {
                    content.color = "grey";
                    playerItem1.color = "grey"
                    playerItem2.color = "grey"
                    playerNameText1.color = "white";
                    playerNameText2.color = "white";
                    content.clickChange = 2;
                }
            }
            Timer{
                running: content.clickChange == 2
                interval:  100
                onTriggered: {
                    content.color = "white";
                    playerItem1.color = "white"
                    playerItem2.color = playerItem2.parent.color
                    playerNameText1.color = "grey";
                    playerNameText2.color = "grey";
                    content.clickChange = 0;
                }
            }
            MouseArea{
                anchors.fill: parent
                onClicked: {
                    content.clickChange = 1;
                    showTenisMatchDetail(matchId);
                }
            }
        }
    }
}
