import QtQuick 1.0
import ".."

Item {
    width: parent.width
    height: 130
    z: 1
    MatchTimeSoon{id: matchTime}
    Item{
        anchors.top: matchTime.bottom
        id: matchDetails
        width: parent.width - 10
        height: 110
        anchors {horizontalCenter: parent.horizontalCenter; topMargin: 2}
        Rectangle{
            property int clickChange: 0

            id: content
            width: parent.width
            height: parent.height
            color: "white"
            radius: 5
            Item{
                width: parent.width * .95
                height: parent.height

                Item{
                    id: timeItem
                    anchors {left: parent.left; verticalCenter: parent.verticalCenter; leftMargin: 5}
                    width: parent.width * .2
                    height: 75
                    Rectangle{
                        width: parent.width
                        height: parent.height - 30
                        anchors.centerIn: parent
                        color: "lightgrey"
                        border.color: "grey"
                        border.width: 1
                        Rectangle{
                            color: "lightgrey"
                            width: 22
                            height: 22
                            radius: 11
                            border.color: "grey"
                            border.width: 1
                            anchors {top: parent.top; horizontalCenter: parent.horizontalCenter; topMargin: -15}
                            Image{
                                anchors.centerIn: parent
                                width: parent.width
                                height: parent.height
                                fillMode: Image.PreserveAspectFit
                                //smooth: true
                                source: "../../../rsc/clock_02.png"
                            }
                        }
                        Text{
                            id: timeText
                            anchors.centerIn: parent
                            color: "grey"
                            font.pixelSize: 18
                            font.bold: true
                            text: time
                        }
                    }
                }

                Item{
                    width: parent.width * .7
                    height: 75
                    anchors {left: timeItem.right; leftMargin: 5}
                    Image {
                        id: tournamentImg
                        width: 20
                        height: 15
                        anchors {left: parent.left; verticalCenter: parent.verticalCenter}
                        fillMode: Image.PreserveAspectFit
                        source: tournamentImgSrc
                    }
                    Item{
                        width: parent.width - tournamentImg.width - 5
                        height: parent.height
                        anchors {left: tournamentImg.right}
                        Text{
                            id: tournamentNameText
                            anchors {left: parent.left; leftMargin: 2}
                            horizontalAlignment: Text.AlignLeft
                            verticalAlignment: Text.AlignBottom
                            font.pixelSize: 16
                            font.bold: true
                            color: "black"
                            elide: Text.ElideRight
                            text: tournament
                        }
                        Text{
                            id: raceNameText
                            anchors {left: parent.left; top: tournamentNameText.bottom; leftMargin: 2; topMargin: 4}
                            horizontalAlignment: Text.AlignLeft
                            verticalAlignment: Text.AlignBottom
                            font.pixelSize: 16
                            color: "black"
                            elide: Text.ElideRight
                            text: '('+ raceName +')'
                        }
                        Text{
                            id: circuitNameText
                            anchors {left: parent.left; top: raceNameText.bottom; leftMargin: 2; topMargin: 4}
                            horizontalAlignment: Text.AlignLeft
                            verticalAlignment: Text.AlignBottom
                            font.pixelSize: 16
                            color: "grey"
                            elide: Text.ElideRight
                            text: circuitName
                        }
                    }

                }
            }
            Item{
                id: nextItem
                width: 20
                height: 20
                anchors {right: parent.right; verticalCenter: parent.verticalCenter; rightMargin: 5}
                Image{
                    width: parent.width
                    height: parent.height
                    fillMode: Image.PreserveAspectFit
                    //smooth:  true
                    source: "../../../rsc/arrow03.png"
                }
            }

            Timer{
                running: content.clickChange == 1
                interval: 10
                onTriggered: {
                    content.color = "grey";
                    tournamentNameText.color = "white";
                    raceNameText.color = "white";
                    circuitNameText.color = "white";
                    content.clickChange = 2;
                }
            }
            Timer{
                running: content.clickChange == 2
                interval:  100
                onTriggered: {
                    content.color = "white";
                    tournamentNameText.color = "black";
                    raceNameText.color = "black";
                    circuitNameText.color = "grey";
                    content.clickChange = 0;
                }
            }
            MouseArea{
                anchors.fill: parent
                onClicked: {
                    content.clickChange = 1;
                    showF1RaceDetail(matchId);
                }
            }
            Commentator{}
        }
    }
}
