import QtQuick 1.0
import ".."

MatchItemSoon {
    MatchTimeSoon{id: matchTime}
    MatchContent{
        id: matchContent
        anchors.top: matchTime.bottom
        Rectangle{
            property int clickChange: 0

            id: content
            width: parent.width
            height: parent.height
            color: "white"
            radius: 5
            Item{
                id: timeItem
                anchors {left: parent.left; leftMargin: 5; verticalCenter: parent.verticalCenter}
                width: parent.width * .2
                height: parent.height
                Rectangle{
                    width: parent.width
                    height: parent.height - 30
                    anchors.centerIn: parent
                    color: "lightgrey"
                    border.color: "grey"
                    border.width: 1
                    Rectangle{
                        color: "lightgrey"
                        width: 22
                        height: 22
                        radius: 11
                        border.color: "grey"
                        border.width: 1
                        anchors {top: parent.top; horizontalCenter: parent.horizontalCenter; topMargin: -15}
                        Image{
                            anchors.centerIn: parent
                            width: parent.width
                            height: parent.height
                            fillMode: Image.PreserveAspectFit
                            smooth: true
                            source: "../../../rsc/clock_02.png"
                        }
                    }
                    Text{
                        id: timeText
                        anchors.centerIn: parent
                        color: "grey"
                        font.pixelSize: 18
                        font.bold: true
                        text: time
                    }
                }
            }
            Rectangle{
                id: playerItem1
                width: parent.width * .7
                height: parent.height / 2 - 1
                color: parent.color
                anchors {top: parent.top; left: timeItem.right; leftMargin: 5}
                Item{
                    id: playerFlagItem1
                    width: 30
                    height: parent.height
                    anchors {left: parent.left; leftMargin: 20}
                    Image{
                        id: playerFlag1
                        width: parent.width
                        height: parent.height
                        fillMode: Image.PreserveAspectFit
                        anchors.centerIn: parent
                        source: logo1
                    }
                }
                Item{
                    id: playerNameItem1
                    width: parent.width * .5
                    height: parent.height
                    anchors {left: playerFlagItem1.right; leftMargin: 10}
                    Text{
                        id: playerNameText1
                        width: parent.width
                        height: parent.height
                        verticalAlignment: Text.AlignVCenter
                        horizontalAlignment: Text.AlignRight
                        wrapMode: Text.WordWrap
                        color: "grey"
                        font.pixelSize: 14
                        font.bold: true
                        text: teamName1
                    }
                }
            }

            Rectangle{
                id: border
                height: 1
                width: parent.width * .6
                anchors {left: timeItem.right; verticalCenter: parent.verticalCenter; leftMargin: 10}
                color: "lightgrey"
            }

            Rectangle{
                id: playerItem2
                width: parent.width * 0.7
                height: parent.height / 2 - 1
                color: parent.color
                anchors {bottom: parent.bottom; left: timeItem.right; leftMargin: 5}
                Item{
                    id: playerFlagItem2
                    width: 30
                    height: parent.height
                    anchors {left: parent.left; leftMargin: 20}
                    Image{
                        id: playerFlag2
                        width: parent.width
                        height: parent.height
                        fillMode: Image.PreserveAspectFit
                        anchors.centerIn: parent
                        source: logo2
                    }
                }
                Item{
                    id: playerNameItem2
                    width: parent.width * .5
                    height: parent.height
                    anchors {left: playerFlagItem2.right; leftMargin: 10}
                    Text{
                        id: playerNameText2
                        width: parent.width
                        height: parent.height
                        verticalAlignment: Text.AlignVCenter
                        horizontalAlignment: Text.AlignRight
                        wrapMode: Text.WordWrap
                        color: "grey"
                        font.pixelSize: 14
                        font.bold: true
                        text: teamName2
                    }
                }
            }

            Item{
                id: nextItem
                width: 20
                height: 20
                anchors {right: parent.right; verticalCenter: parent.verticalCenter; rightMargin: 5}
                Image{
                    width: parent.width
                    height: parent.height
                    fillMode: Image.PreserveAspectFit
                    smooth:  true
                    source: "../../../rsc/arrow03.png"
                }
            }
            Timer{
                running: content.clickChange == 1
                interval: 10
                onTriggered: {
                    content.color = "grey";
                    playerNameText1.color = "white";
                    playerNameText2.color = "white";
                    content.clickChange = 2;
                }
            }
            Timer{
                running: content.clickChange == 2
                interval:  100
                onTriggered: {
                    content.color = "white";
                    playerNameText1.color = "grey";
                    playerNameText2.color = "grey";
                    content.clickChange = 0;
                }
            }
            MouseArea{
                anchors.fill: parent
                onClicked: {
                    content.clickChange = 1;
                    showTenisMatchDetail(matchId);
                }
            }
        }
    }
}
