import QtQuick 1.0

Item {
    id: main
    width: parent.width - 2
    height: itemHeight
    z: 0

    Rectangle {
        anchors.fill: parent;
        border.color: "#326487"; border.width: 6
        color: "transparent"; radius: 5
        visible: item.state == "active"
    }

    Rectangle{
        id: item
        //x: 1
        //y: 1
        //width: parent.width//main.width - 2
        //height: itemHeight//main.height - 2
        anchors.fill: parent
        border.color: "lightgrey"
        border.width: 1
        color: container.color
        z: 1
        Item {
            id: iconItem
            width: 58
            height: parent.height
            anchors {left: parent.left; leftMargin: 2}
            Image {
                id: iconImg
                width: icon ? 58 : 0
                height: parent.height
                fillMode: Image.PreserveAspectFit
                smooth: true
                anchors.centerIn: parent
                source: icon
            }
        }

        Text{
            id: titleText
            anchors {left: iconItem.right; right: removeFromFavouritesIcon.left; verticalCenter: iconItem.verticalCenter; leftMargin: 5}
            color: "white"
            wrapMode: Text.WordWrap
            font.pixelSize: defaultFontSize
            text: title
        }

        Item{
            id: removeFromFavouritesIcon
            anchors {right: parent.right; top: parent.top; bottom: parent.bottom}
            width: 54
            height: 54
            Image{
                id: removeImg
                anchors.centerIn: parent
                source: "../../rsc/ulubioneS.png"
            }
            Image{
                id: removeImgHover
                anchors.centerIn: parent
                source: "../../rsc/navi_star_02.png"
                visible: false
            }
        }

        Behavior on x { enabled: item.state != "active"; NumberAnimation { duration: 400; easing.type: Easing.OutBack } }
        Behavior on y { enabled: item.state != "active"; NumberAnimation { duration: 400; easing.type: Easing.OutBack } }
        /*
        SequentialAnimation on rotation {
            NumberAnimation { to:  2; duration: 60 }
            NumberAnimation { to: -2; duration: 120 }
            NumberAnimation { to:  0; duration: 60 }
            running: loc.currentId != -1 && item.state != "active"
            loops: Animation.Infinite; alwaysRunToEnd: true
        }
        */
        states: State {
            name: "active"; when: loc.currentId == gridId
            PropertyChanges { target: item; x: loc.mouseX - item.width/2; y: loc.mouseY - item.height/2; z: 1000; scale: 0.9 }
        }
        transitions: Transition { NumberAnimation { property: "scale"; duration: 200} }
    }
}
