import QtQuick 1.0
import ".."
import "../events"

RightView {
    color: "white"

    FavouritesRightMenuWrapper{
        id: categoriesList
        delegate: RightCategoryItem{}
        onCurrentIndexChanged: {
            if (currentItem && currentItem.category_ID === 36){
                return
            }
            favouritesCategoriesMenu.children[0].currentIndex = currentIndex;
            if (currentIndex == -1){
                return;
            }
            f_category_id = currentItem.category_ID;
            favouritesMenu.currentIndex = 1;

        }
    }

    FavouritesRightMenuWrapper{
        id: tournamentsList
        delegate: RightTournamentItem{}
        onCurrentIndexChanged: {
            favouritesTournamentsMenu.children[0].currentIndex = currentIndex;
            if (currentIndex == -1){
                return;
            }
            f_tournament_id = currentItem.tournament_ID;
            favouritesMenu.currentIndex = 2;
        }
    }

    FavouritesRightMenuWrapper{
        id: teamsList
        header: AddToFavouritesListHeader{}
        delegate: RightTeamItem{}
        onCurrentIndexChanged: {
            favouritesTeamsMenu.children[0].currentIndex = currentIndex;
            if (currentIndex == -1){
                return;
            }
            f_team_id = currentItem.team_ID;

        }
    }

    EmptyDataView{
        id: emptyDataView
        anchors.fill: parent
    }

    LoadingView{
        id: loadView
        anchors.fill: parent
    }

    onViewDeactivate: {
        clearAll()
    }

    function showEmptyDataInfo(){
        tournamentsList.visible = false;
        teamsList.visible = false;
        categoriesList.visible = false;
        loadView.visible = false;
        emptyDataView.visible = true;
    }

    function showLoadView(){
        tournamentsList.visible = false;
        teamsList.visible = false;
        categoriesList.visible = false;
        emptyDataView.visible = false;
        loadView.visible = true;
    }

    function hideLoadView(){
        loadView.visible = false;
    }

    function showCategories(){
        tournamentsList.visible = false;
        teamsList.visible = false;
        emptyDataView.visible = false;
        categoriesList.visible = true;
    }

    function clearCategories(){
        categoriesList.currentIndex = -1;
        categoriesList.model.clear();
    }

    function appendCategory(model){
        categoriesList.model.append(model);
    }

    function showTournaments(){
        categoriesList.visible = false;
        teamsList.visible = false;
        emptyDataView.visible = false;
        tournamentsList.visible = true;
    }

    function clearTournaments(){
        tournamentsList.currentIndex = -1;
        tournamentsList.model.clear();
    }

    function appendTournament(model){
        tournamentsList.model.append(model);
    }

    function showTeams(){
        categoriesList.visible = false;
        tournamentsList.visible = false;
        emptyDataView.visible = false;
        teamsList.visible = true;
    }

    function clearTeams(){
        teamsList.currentIndex = -1;
        teamsList.model.clear();
    }

    function appendTeam(model){
        teamsList.model.append(model);
    }

    function clearAll(){
        clearTeams()
        clearTournaments()
        clearCategories()
    }
}
