import QtQuick 1.0
import "../../js/DB.js" as DB

RightMenuItem {
    property int category_ID: categoryId

    Component.onCompleted: toggleFavouritesIcon()

    Item{
        id: favouritesIcon

        width: 54
        height: 54
        z: 1
        visible: categoryId == 36 // F1
        anchors {right: parent.right; verticalCenter: parent.verticalCenter; rightMargin: 80}
        Image{
            id: addToFavouritesIcon
            anchors.centerIn: parent
            source: favMA.pressed ? "../../rsc/navi_star_gray.png" : "../../rsc/navi_star_01.png"
            visible: false
        }
        Image{
            id: removeFromFavouritesIcon
            anchors.centerIn: parent
            source: favMA.pressed ? "../../rsc/ulub_zloty02.png" : "../../rsc/ulubioneS.png"
            visible: false
        }
        /*
        Image{
            id: favouritesHoverIcon
            anchors.centerIn: parent
            source: "../../rsc/navi_star_black.png"
            visible: false
        }
        */
        MouseArea{
            id: favMA
            anchors.fill: parent
            onClicked: {
                if (addToFavouritesIcon.visible){
                    addToFavourites();
                } else if (removeFromFavouritesIcon.visible){
                    removeFromFavourites();
                }

            }
        }
    }

    function showAddToFavourites(){
        removeFromFavouritesIcon.visible = false;
        addToFavouritesIcon.visible = true;
    }
    function showRemoveFromFavourites(){
        addToFavouritesIcon.visible = false;
        removeFromFavouritesIcon.visible = true;
    }

    function toggleFavouritesIcon(){
        var exists = DB.checkCategoryInFavourites(categoryId);
        if (exists){
            showRemoveFromFavourites();
        } else {
            showAddToFavourites();
        }
        return exists;
    }
    function addToFavourites(){
        console.log(categoryId)
        DB.addCategoryToFavourites(categoryId, title, icon);
        var added = toggleFavouritesIcon();
        if (added){
            dialog.showDialog('Kategoria dodana do ulubionych');
        } else {
            dialog.showDialog('Błąd dodawania do ulubionych');
        }
    }
    function removeFromFavourites(){
        DB.removeCategoryFromFavourites(categoryId);
        var added = toggleFavouritesIcon();
        if (!added){
            dialog.showDialog('Kategoria usunięta z ulubionych');
        } else {
            dialog.showDialog('Błąd usuwania z ulubionych');
        }
    }
}
