import QtQuick 1.0

Item {

    width: parent.width
    height: 52
    z: 0

    Item {
        id: iconItem
        width: 40
        height: parent.height
        anchors {left: parent.left; leftMargin: 10}
        Image {
            width: parent.width
            height: parent.height
            fillMode: Image.PreserveAspectFit
            source: icon
            anchors.centerIn: parent
        }
    }

    Text{
        anchors {left: iconItem.right; right: favouritesIcon.left; verticalCenter: iconItem.verticalCenter; leftMargin: 5}
        color: "grey"
        wrapMode: Text.WordWrap
        font.pixelSize: 14
        text: title
    }

    Item{
        id: favouritesIcon

        width: 54
        height: 54
        z: 1
        anchors {right: parent.right; verticalCenter: parent.verticalCenter; rightMargin: 80}
        Image{
            id: addToFavouritesIcon
            anchors.centerIn: parent
            source: favMA.pressed ? "../../rsc/navi_star_gray.png" : "../../rsc/navi_star_01.png"
            visible: false
        }
        Image{
            id: removeFromFavouritesIcon
            anchors.centerIn: parent
            source: favMA.pressed ? "../../rsc/ulub_zloty02.png" : "../../rsc/ulubioneS.png"
            visible: false
        }
        /*
        Image{
            id: favouritesHoverIcon
            anchors.centerIn: parent
            source: "../../rsc/navi_star_black.png"
            visible: false
        }
        */
        MouseArea{
            id: favMA
            anchors.fill: parent
            /*
            onEntered: {
                favouritesHoverIcon.visible = true;
            }
            onExited: {
                favouritesHoverIcon.visible = false;
            }
            */
            onClicked: {
                if (addToFavouritesIcon.visible){
                    addToFavourites();
                } else if (removeFromFavouritesIcon.visible){
                    removeFromFavourites();
                }

            }
        }
    }

    Rectangle { // bottom border
        anchors {bottom: parent.bottom; left: parent.left}
        width: parent.width * .9
        height: 1
        color: "lightgrey"
    }

    MouseArea {
        anchors.fill: parent
        onClicked: {
            currentIndex = index
        }
    }

    function showAddToFavourites(){
        removeFromFavouritesIcon.visible = false;
        addToFavouritesIcon.visible = true;
    }
    function showRemoveFromFavourites(){
        addToFavouritesIcon.visible = false;
        removeFromFavouritesIcon.visible = true;
    }
}

