import QtQuick 1.0
import "../../js/DB.js" as DB

RightMenuItemFavourites {
    property int team_ID: teamId

    id: it
    Component.onCompleted: toggleFavouritesIcon()

    function toggleFavouritesIcon(){
        var exists = checkTeamInFavourites(teamId);
        if (exists){
            it.showRemoveFromFavourites();
        } else {
            it.showAddToFavourites();
        }
        return exists;
    }
    function addToFavourites(){
        if (DB.getFavouritesCount() >= container.maxFavourites){
            dialog.showDialog('Nie można dodać tej drużyny do ulubionych:\nlimit ilości pozycji został osiągnięty.');
        } else {
            addTeamToFavourites(teamId, title, icon);
            var added = toggleFavouritesIcon();
            if (added){
                dialog.showDialog('Drużyna dodana do ulubionych');
            } else {
                dialog.showDialog('Błąd dodawania do ulubionych');
            }
        }
    }
    function removeFromFavourites(){
        removeTeamFromFavourites(teamId);
        var added = toggleFavouritesIcon();
        if (!added){
            dialog.showDialog('Drużyna usunięta z ulubionych');
        } else {
            dialog.showDialog('Błąd usuwania z ulubionych');
        }
    }
}
