import QtQuick 1.0
import ".."

RightView{
    property int idd

    property int scoresDist: (scoresItemLeft.width + 20) / 4

    MatchDetail{
        Image{
            source: "../../rsc/wynik_tlo_cale.png"
            fillMode: Image.PreserveAspectCrop
            id: scoreTable
            width: parent.width
            height: matchMenu.visible ? 240 : container.height;
            clip: true
            //color: "black"
            //radius: 5

            MatchDetailHeader{
                id: matchDetailHeader
            }

            Item{
                id: scoreContent
                anchors {top: matchDetailHeader.bottom; left: parent.left; right: parent.right; bottom: parent.bottom}
                //color: parent.color
                z: 1
                Rectangle{
                    id: scoreTabLeft
                    anchors {top: parent.top; left: parent.left}
                    width: parent.width / 2
                    z: 0
                    Text{
                        id: teamNameLeft
                        anchors {top: parent.top; left: parent.left; right: parent.right; topMargin: 10; leftMargin: 10}
                        height: 35
                        horizontalAlignment: Text.AlignLeft
                        wrapMode: Text.WordWrap
                        text: ""
                        color: "white"
                        font.family: "Verdana"
                        font.pixelSize: 16
                    }
                    Item{
                        id: logoAndScoreLeft
                        anchors {top: teamNameLeft.bottom; left: parent.left; right: parent.right; topMargin: 10; leftMargin: 10}
                        height: 60
                        Image {
                            id: teamLogoLeft
                            anchors {top: parent.top; left: parent.left}
                            width: 60
                            height: 60
                            fillMode: Image.PreserveAspectFit
                        }
                        Text {
                            id: scoreLeft
                            anchors {right: parent.right; verticalCenter: parent.verticalCenter; rightMargin: 20}
                            font.pixelSize: 40
                            font.bold: true
                            color: "white"
                            text: ""
                        }
                    }
                    Item {
                        id: scoresItemLeft
                        width: parent.width - 30
                        anchors {top: logoAndScoreLeft.bottom; horizontalCenter: parent.horizontalCenter }//leftMargin: 15; rightMargin: 15}

//                        Item{
//                            width: parent.width / 2
//                            anchors.left: parent.left

                            Text {
                                id: q1TextLeft
                                width: 40
                                horizontalAlignment: Text.AlignHCenter
                                //anchors {left: parent.left; leftMargin: 5}
                                x: 0
                                font.pixelSize: 14
                                color: "lightgrey"
                                text: "Q1"
                            }
                            MatchSmallScore{
                                id: q1ValueLeft
                                anchors {top: q1TextLeft.bottom; horizontalCenter: q1TextLeft.horizontalCenter; topMargin: 5}
                            }
                            Text {
                                id: q2TextLeft
                                width: 40
                                horizontalAlignment: Text.AlignHCenter
                                //anchors {right: parent.right; rightMargin: 18}
                                x: scoresDist
                                font.pixelSize: 14
                                color: "lightgrey"
                                text: "Q2"
                            }
                            MatchSmallScore{
                                id: q2ValueLeft
                                anchors {top: q2TextLeft.bottom; horizontalCenter: q2TextLeft.horizontalCenter; topMargin: 5}
                            }
//                        }
//                        Item{
//                            width: parent.width / 2
//                            anchors.right: parent.right
                            Text {
                                id: q3TextLeft
                                width: 40
                                horizontalAlignment: Text.AlignHCenter
                                //anchors {left: parent.left; leftMargin: 18}
                                x: scoresDist * 2
                                font.pixelSize: 14
                                color: "lightgrey"
                                text: "Q3"
                            }
                            MatchSmallScore{
                                id: q3ValueLeft
                                anchors {top: q3TextLeft.bottom; horizontalCenter: q3TextLeft.horizontalCenter; topMargin: 5}
                            }
                            Text {
                                id: q4TextLeft
                                width: 40
                                horizontalAlignment: Text.AlignHCenter
                                //anchors {right: parent.right; rightMargin: 5}
                                x: scoresDist * 3
                                font.pixelSize: 14
                                color: "lightgrey"
                                text: "Q4"
                            }
                            MatchSmallScore{
                                id: q4ValueLeft
                                anchors {top: q4TextLeft.bottom; horizontalCenter: q4TextLeft.horizontalCenter; topMargin: 5}
                            }
//                        }
                    }
                }

                // vertical line
                Image{
                    source: "../../rsc/linia_wynik_pion.png"
                    height: parent.height - 20
                    anchors.centerIn: parent
                    z: 1
                }

                Rectangle{
                    id: scoreTabRight
                    anchors {top: parent.top; right: parent.right}
                    width: parent.width / 2
                    z: 0
                    Text{
                        id: teamNameRight
                        anchors {top: parent.top; left: parent.left; right: parent.right; topMargin: 10; rightMargin: 10}
                        height: 35
                        horizontalAlignment: Text.AlignRight
                        wrapMode: Text.WordWrap
                        text: ""
                        color: "white"
                        font.family: "Verdana"
                        font.pixelSize: 16

                    }
                    Item{
                        id: logoAndScoreRight
                        anchors {top: teamNameRight.bottom; left: parent.left; right: parent.right; topMargin: 10; leftMargin: 10}
                        height: 60
                        Image {
                            id: teamLogoRight
                            anchors {top: parent.top; right: parent.right}
                            width: 60
                            height: 60
                            fillMode: Image.PreserveAspectFit
                        }
                        Text {
                            id: scoreRight
                            anchors {left: parent.left; verticalCenter: parent.verticalCenter; rightMargin: 20}
                            font.pixelSize: 40
                            font.bold: true
                            color: "white"
                            text: ""
                        }
                    }
                    Item {
                        width: scoresItemLeft.width
                        anchors {top: logoAndScoreRight.bottom; horizontalCenter: parent.horizontalCenter }//leftMargin: 15; rightMargin: 15}
//                        Item{
//                            width: parent.width / 2
//                            anchors.left: parent.left

                            Text {
                                id: q1TextRight
                                width: 40
                                horizontalAlignment: Text.AlignHCenter
                                //anchors {left: parent.left; leftMargin: 5}
                                x: parent.width - 40 - scoresDist * 3
                                font.pixelSize: 14
                                color: "lightgrey"
                                text: "Q1"
                            }
                            MatchSmallScore{
                                id: q1ValueRight
                                anchors {top: q1TextRight.bottom; horizontalCenter: q1TextRight.horizontalCenter; topMargin: 5}
                            }
                            Text {
                                id: q2TextRight
                                width: 40
                                horizontalAlignment: Text.AlignHCenter
                                //anchors {right: parent.right; rightMargin: 18}
                                x: parent.width - 40 - scoresDist * 2
                                font.pixelSize: 14
                                color: "lightgrey"
                                text: "Q2"
                            }
                            MatchSmallScore{
                                id: q2ValueRight
                                anchors {top: q2TextRight.bottom; horizontalCenter: q2TextRight.horizontalCenter; topMargin: 5}
                            }
//                        }
//                        Item{
//                            width: parent.width / 2
//                            anchors.right: parent.right
                            Text {
                                id: q3TextRight
                                width: 40
                                horizontalAlignment: Text.AlignHCenter
                                //anchors {left: parent.left; leftMargin: 18}
                                x: parent.width - 40 - scoresDist
                                font.pixelSize: 14
                                color: "lightgrey"
                                text: "Q3"
                            }
                            MatchSmallScore{
                                id: q3ValueRight
                                anchors {top: q3TextRight.bottom; horizontalCenter: q3TextRight.horizontalCenter; topMargin: 5}
                            }
                            Text {
                                id: q4TextRight
                                width: 40
                                horizontalAlignment: Text.AlignHCenter
                                //anchors {right: parent.right; rightMargin: 5}
                                x: parent.width - 40//scoresDist * 3
                                font.pixelSize: 14
                                color: "lightgrey"
                                text: "Q4"
                            }
                            MatchSmallScore{
                                id: q4ValueRight
                                anchors {top: q4TextRight.bottom; horizontalCenter: q4TextRight.horizontalCenter; topMargin: 5}
                            }
//                        }
                    }
                }
            }
        }
        Rectangle{
            id: matchMenu

            width: parent.width
            anchors {top: scoreTable.bottom; topMargin: -5}
            height: visible ? (tabs.height + (tabContent0.visible ? tabContent0.height - (container.height - scoreTable.height) : 0) + (tabContent1.visible ? tabContent1.height - (container.height - scoreTable.height) : 0) + (container.height - scoreTable.height) + 20) : 0;
            color: "lightgrey"
            border.color: "lightgrey"
            radius: 5
            visible: false
            z: 1
            MatchMenuTabs{
                id: tabs
                MatchMenuTab{
                    id: tab0
                    anchors {top: parent.top; left: parent.left; bottom: parent.bottom; leftMargin: 15}
                    title: "Komentator"
                    onSelected: {
                        tabContent0.visible = true;
                        tabContent1.visible = false;
                    }
                }
                MatchMenuTab{
                    id: tab1
                    anchors {top: parent.top; left: tab0.right; bottom: parent.bottom; rightMargin: 15}
                    title: "Skład"
                    onSelected: {
                        tabContent0.visible = false;
                        tabContent1.visible = true;
                    }
                }
            }

            Item{
                id: tabContent0
                width: parent.width
                height: commentsList.contentHeight
                anchors.top: tabs.bottom
                visible: false
                ListView{
                    id: commentsList
                    width: parent.width * .95
                    height: lm.count * 82
                    anchors {top: parent.top; topMargin: 10; horizontalCenter: parent.horizontalCenter}
                    interactive: false
                    model: ListModel{id: lm}
                    delegate: Item{
                        width: parent.width
                        height: 82
                        Item{
                            id: cTimeItem
                            width: parent.width * .18
                            height: parent.height
                            Text{
                                id: cTimeText
                                color: "black"
                                width: parent.width
                                height: parent.height
                                horizontalAlignment: Text.AlignRight
                                verticalAlignment: Text.AlignVCenter
                                font {pixelSize: 12; bold: true}
                                text: time
                            }
                        }
                        Image{
                            id: cImg
                            width: parent.width * .05
                            height: 20
                            fillMode: Image.PreserveAspectFit
                            anchors {left: cTimeItem.right; verticalCenter: parent.verticalCenter; leftMargin: parent.width * .02}
                            source: imgSrc
                        }
                        Item{
                            id: cContentItem
                            width: parent.width * .75
                            height: parent.height
                            anchors {left: cImg.right; verticalCenter: parent.verticalCenter; leftMargin: parent.width * .02}
                            Text{
                                id: cContentText
                                color: "black"
                                width: parent.width
                                height: parent.height
                                verticalAlignment: Text.AlignVCenter
                                wrapMode: Text.WordWrap
                                font {pixelSize: 11}
                                text: content
                            }
                        }
                        Rectangle{
                            width: parent.width
                            height: 1
                            color: "black"
                            anchors.bottom: parent.bottom
                        }
                    }
                }
            }

            Item{
                id: tabContent1
                width: parent.width
                height: 0 //positionsList.contentHeight
                anchors.top: tabs.bottom
                visible: false
                Rectangle{
                    width: parent.width - 20
                    height: 20
                    anchors{top: parent.top; horizontalCenter: parent.horizontalCenter; topMargin: 10}
                    gradient: Gradient{
                        GradientStop {position: 0; color: "lightgrey"}
                        GradientStop {position: 1; color: "grey"}
                    }
                    Image {
                        id: sTeam1Logo
                        anchors {left: parent.left; verticalCenter: parent.verticalCenter; leftMargin: 10}
                        width: 20
                        height: 20
                        fillMode: Image.PreserveAspectFit
                    }
                    Text{
                        id: sTeam1Name
                        anchors {left: sTeam1Logo.right; verticalCenter: parent.verticalCenter; leftMargin: 10}
                    }
                }
            }
        }
    }

    onViewDeactivate: {
        teamLogoLeft.source = ''
        teamLogoRight.source = ''
    }

    function getTeamScores(team){
        var scores = team.scores.score;
        var currentScore = null;
        var q1score = null;
        var q2score = null;
        var q3score = null;
        var q4score = null;
        var scoresArr = [];
        var normalTimeScore = null;
        for (var key in scores){
            if (scores[key].type === 'current'){
                currentScore = scores[key].value;
                continue;
            } else if (scores[key].type === 'period'){

                scoresArr.push(scores[key].value)
            } else if (scores[key].type === 'normaltime'){
                normalTimeScore = scores[key].value;
                continue;
            }
            /*
            if (scores[key].name === 'Kwarta 1'){
                q1score = scores[key].value;
                continue;
            }
            if (scores[key].name === 'Kwarta 2'){
                q2score = scores[key].value;
                continue;
            }
            if (scores[key].name === 'Kwarta 3'){
                q3score = scores[key].value;
                continue;
            }
            if (scores[key].name === 'Kwarta 4'){
                q4score = scores[key].value;
                continue;
            }
            */

        }
        q1score = scoresArr[0];
        q2score = scoresArr[1];
        q3score = scoresArr[2];
        q4score = scoresArr[3];
        return {currentScore: currentScore ? currentScore : '',
                q1score: q1score ? q1score : '',
                q2score: q2score ? q2score : '',
                q3score: q3score ? q3score : '',
                q4score: q4score ? q4score : '',
                normalTimeScore: normalTimeScore ? normalTimeScore : ''};
    }

    function fillData(data){
        var matchName_ = '';
        matchDetailHeader.fillHeader(data[0]);
        // first team
        var team = data[0].entries.entry["1"];
        var teamName = team.team_name.split('/').join(' / ').split('-').join(' - ')
        teamNameLeft.text = teamName
        teamLogoLeft.source = team.team_img !== '' ? getImgURL(team.team_img) : '';
        matchName_ = teamName;
        var scores = getTeamScores(team);
        scoreLeft.text = scores.currentScore;
        q1ValueLeft.text = scores.q1score;
        q2ValueLeft.text = scores.q2score;
        q3ValueLeft.text = scores.q3score;
        q4ValueLeft.text = scores.q4score;
        // second team
        team = data[0].entries.entry["2"];
        teamName = team.team_name.split('/').join(' / ').split('-').join(' - ')
        teamNameRight.text = teamName
        teamLogoRight.source = team.team_img !== '' ? getImgURL(team.team_img) : '';
        matchName_ += ' - '+ teamName;
        scores = getTeamScores(team);
        scoreRight.text = scores.currentScore;
        q1ValueRight.text = scores.q1score;
        q2ValueRight.text = scores.q2score;
        q3ValueRight.text = scores.q3score;
        q4ValueRight.text = scores.q4score;

        match_name = matchName_;
        match_id = data[0].match_id;
        matchDetailHeader.toggleFavouritesIcon();
        hideLoader()
    }
}
