import QtQuick 1.0

Item{
    id: item
    width: parent.width
    height: 25
    Item{
        id: positionItem
        anchors {verticalCenter: parent.verticalCenter; left: parent.left; leftMargin: parent.width * .02}
        //color: matchMenu.color
        width: parent.width * .05
        height: parent.height
        Text{
            id: positionText
            anchors.fill: parent
            horizontalAlignment: Text.AlignRight
            color: "black"
            font {pixelSize: 12; bold: true}
            text: position
        }
    }
    Item{
        id: flagItem
        anchors {verticalCenter: parent.verticalCenter; left: positionItem.right; leftMargin: parent.width * .02}
        //color: matchMenu.color
        width: parent.width * .05
        height: parent.height
        Image{
            id: flagImg
            anchors.centerIn: parent
            fillMode: Image.PreserveAspectFit
            source: flag
        }
    }
    Item{
        id: nameItem
        anchors {verticalCenter: parent.verticalCenter; left: flagItem.right; leftMargin: parent.width * .01}
        //color: matchMenu.color
        width: parent.width * .3
        height: parent.height
        Text{
            id: nameText
            anchors.fill: parent
            elide: Text.ElideRight
            horizontalAlignment: Text.AlignLeft
            color: "black"
            font {pixelSize: 10; bold: true}
            text: name
        }
    }
    Item{
        id: teamItem
        anchors {verticalCenter: parent.verticalCenter; left: nameItem.right; leftMargin: parent.width * .01}
        //color: matchMenu.color
        width: parent.width * .2
        height: parent.height
        Text{
            id: teamText
            anchors.fill: parent
            elide: Text.ElideRight
            horizontalAlignment: Text.AlignLeft
            color: "grey"
            font {pixelSize: 10}
            text: team
        }
    }
    Item{
        id: lapItem
        anchors {verticalCenter: parent.verticalCenter; left: teamItem.right; leftMargin: parent.width * .01}
        //color: matchMenu.color
        width: parent.width * .1
        height: parent.height
        Text{
            id: lapText
            anchors.fill: parent
            horizontalAlignment: Text.AlignRight
            color: "black"
            font {pixelSize: 10}
            text: laps
        }
    }
    Item{
        id: timeItem
        anchors {verticalCenter: parent.verticalCenter; left: lapItem.right; right: parent.right; leftMargin: parent.width * .01; rightMargin: parent.width * .02}
        //color: matchMenu.color
        width: parent.width * .2
        height: parent.height
        Text{
            id: timeText
            anchors.fill: parent
            horizontalAlignment: Text.AlignRight
            color: "black"
            font {pixelSize: 10}
            text: time
        }
    }

}
