import QtQuick 1.0
import ".."
import "../../js/DB.js" as DB

RightView{
    property int idd

    id: raceDetail
    MatchDetail{
        id: matchDetail
        Item{
            id: viewContent
            width: parent.width
            height: matchMenu.visible ? scoreTable.height + matchMenu.height : parent.height
            Image{
                source: "../../rsc/wynik_tlo_cale.png"
                fillMode: Image.PreserveAspectCrop
                id: scoreTable
                width: parent.width
                height: matchMenu.visible ? 215 : matchDetail.height
                clip: true
                //color: "black"
                //radius: 5

                Item{
                    property int disciplineID

                    id: matchDetailHeader
                    anchors {top: parent.top; left: parent.left; right: parent.right}
                    height: 40
                    //color: parent.color
                    z: 1

                    Item{
                        id: matchTimeContent
                        anchors {bottom: parent.bottom; left: parent.left; bottomMargin: 10; leftMargin: 10}
                        //color: parent.color
                        z: 1
                        Image{
                            id: clockImg
                            width: 20
                            height: 20
                            fillMode: Image.PreserveAspectFit
                            smooth: true
                            source: "../../rsc/clock_02.png"
                            anchors {bottom: parent.bottom; left: parent.left}
                        }
                        Text{
                            id: matchStatus
                            anchors {left: clockImg.right; leftMargin: 5; verticalCenter: clockImg.verticalCenter}
                            color: "red"
                            font.pixelSize: 14
                            text: ""
                        }
                        Text {
                            id: matchDate
                            anchors {left: matchStatus.right; leftMargin: 5; verticalCenter: matchStatus.verticalCenter}
                            color: "grey"
                            font.pixelSize: 14
                            text: ""
                        }
                    }

                    Item{
                        id: backButton
                        anchors {top: parent.top; right: parent.right}
                        width: 54
                        height: 54
                        Image{
                            anchors.centerIn: parent
                            source: backMA.pressed ? "../../rsc/powrot02.png" : "../../rsc/powrot01.png"
                        }
                        MouseArea{
                            id: backMA
                            anchors.fill: parent
                            onClicked: {
                                showPreviousRightView();
                            }
                        }
                    }

                    Item{
                        id: refreshButton
                        anchors {top: parent.top; right: backButton.left; rightMargin: 5}
                        width: 54
                        height: 54
                        Image{
                            id: refreshImg
                            anchors.centerIn: parent
                            source: "../../rsc/navi_arrow_black.png"
                            visible: true
                        }
                        Image{
                            id: refreshImgHover
                            anchors.centerIn: parent
                            source: "../../rsc/navi_arrow_gray.png"
                            visible: false
                        }
                        MouseArea{
                            anchors.fill: parent
                            onEntered: {
                                refreshImgHover.visible = true;
                                refreshImg.visible = false;
                            }
                            onExited: {
                                refreshImg.visible = true;
                                refreshImgHover.visible = false;
                            }
                            onClicked: {
                                getF1Detal();
                            }
                        }
                    }
                    /*
                    Item{
                        id: addToFavouritesButton
                        anchors {top: parent.top; right: refreshButton.left; rightMargin: 5}
                        width: 54
                        height: 54
                        visible: false
                        Image{
                            id: addToFavouritesImg
                            anchors.centerIn: parent
                            source: "../../rsc/navi_star_black.png"
                            visible: true
                        }
                        Image{
                            id: addToFavouritesImgHover
                            anchors.centerIn: parent
                            source: "../../rsc/navi_star_gray.png"
                            visible: false
                        }
                        MouseArea{
                            anchors.fill: parent
                            onEntered: {
                                addToFavouritesImgHover.visible = true;
                                addToFavouritesImg.visible = false;
                            }
                            onExited: {
                                addToFavouritesImg.visible = true;
                                addToFavouritesImgHover.visible = false;
                            }
                            onClicked: {
                                if (DB.getFavouritesCount() >= container.maxFavourites){
                                    dialog.showDialog('Nie można dodać tego wyścigu do ulubionych:\nlimit ilości pozycji został osiągnięty.');
                                } else {
                                    addMatchToFavourites(matchDetailHeader.disciplineID);
                                    var added = toggleFavouritesIcon();
                                    if (added){
                                        dialog.showDialog('Wyścig dodany do ulubionych');
                                    } else {
                                        dialog.showDialog('Błąd dodawania do ulubionych');
                                    }
                                    if (favourites.x == 0){
                                        fillFavourites();
                                    }
                                }

                            }
                        }
                    }

                    Item{
                        id: removeFromFavouritesButton
                        anchors {top: parent.top; right: refreshButton.left; rightMargin: 5}
                        width: 54
                        height: 54
                        visible: false
                        Image{
                            id: removeFromFavouritesImg
                            anchors.centerIn: parent
                            source: "../../rsc/ulub_zloty01.png"
                            visible: true
                        }
                        Image{
                            id: removeFromFavouritesImgHover
                            anchors.centerIn: parent
                            source: "../../rsc/ulub_zloty02.png"
                            visible: false
                        }
                        MouseArea{
                            anchors.fill: parent
                            onEntered: {
                                removeFromFavouritesImgHover.visible = true;
                                removeFromFavouritesImg.visible = false;
                            }
                            onExited: {
                                removeFromFavouritesImg.visible = true;
                                removeFromFavouritesImgHover.visible = false;
                            }
                            onClicked: {
                                removeMatchFromFavourites();
                                var added = toggleFavouritesIcon();
                                if (!added){
                                    dialog.showDialog('Wyścig usunięty z ulubionych');
                                } else {
                                    dialog.showDialog('Błąd usuwania z ulubionych');
                                }
                                if (favourites.x == 0){
                                    fillFavourites();
                                }
                            }
                        }
                    }
                    */

                }

                Item{
                    id: circuitImgAndName
                    width: parent.width
                    height: parent.height - matchDetailHeader.height
                    //anchors.top: matchDetailHeader.bottom
                    anchors.centerIn: parent
                    Item{
                        id: imageItem
                        width: 200
                        height: parent.height
                        anchors {top: parent.top; left: parent.left; topMargin: 5; leftMargin: 5}
                        //color: "white"
                        //radius: 5
                        Image{
                            id: circuitImg
                            width: parent.width
                            height: parent.height
                            anchors.centerIn: parent
                            fillMode: Image.PreserveAspectFit
                            smooth: true
                            Image {
                                id: tournamentImg
                                width: 20
                                height: 15
                                anchors {top: parent.top; left: parent.left}
                                fillMode: Image.PreserveAspectFit
                            }
                        }
                    }

                    Item{
                        height: parent.height
                        anchors {
                            left: imageItem.right; leftMargin: 10
                            right: parent.right
                        }
                        Item{
                            width: parent.width
                            height: parent.height / 2
                            anchors.top: parent.top
                            Text{
                                id: tournamentNameText
                                anchors.fill: parent
                                wrapMode: Text.WordWrap
                                horizontalAlignment: Text.AlignLeft
                                verticalAlignment: Text.AlignBottom
                                anchors.bottom: parent.bottom
                                font.pixelSize: 16
                                font.bold: true
                                color: "lightgrey"
                            }
                        }
                        Item{
                            width: parent.width
                            height: parent.height / 2
                            anchors.bottom: parent.bottom
                            Text{
                                id: circuitNameText
                                horizontalAlignment: Text.AlignLeft
                                verticalAlignment: Text.AlignBottom
                                font.pixelSize: 14
                                color: "lightgrey"
                            }
                        }
                    }
                }
            }
            Rectangle{
                id: matchMenu

                width: parent.width
                anchors {top: scoreTable.bottom; topMargin: -5}
                height: matchMenu.visible ? (tabs.height + (tabContent0.visible ? tabContent0.height - (container.height - scoreTable.height) : 0) + (tabContent1.visible ? tabContent1.height - (container.height - scoreTable.height) : 0) + (container.height - scoreTable.height) + 20) : 0
                color: "white"
                //color: "lightgrey"
                border.color: "white"
                //radius: 5
                z: 1


                MatchMenuTabs{
                    id: tabs
                    MatchMenuTab{
                        id: tab0
                        anchors {top: parent.top; left: parent.left; bottom: parent.bottom}
                        title: "Komentator"
                        onSelected: {
                            tabContent0.visible = true;
                            tabContent1.visible = false;
                        }
                    }
                    MatchMenuTab{
                        id: tab1
                        anchors {top: parent.top; left: tab0.right; bottom: parent.bottom}
                        title: "Pozycje"
                        onSelected: {
                            tabContent0.visible = false;
                            tabContent1.visible = true;
                        }
                    }
                }

                MatchMenuTab{
                    id: positionsSingle
                    height: 40
                    anchors {top: tabs.top; horizontalCenter: parent.horizontalCenter}
                    selectable: false
                    visible: false
                    title: "Pozycje"
                }
                /*
                Rectangle{
                    id: positionsSingle
                    width: parent.width / 2
                    height: 40
                    radius: 5
                    border.width: 1
                    border.color: "grey"
                    smooth: true
                    anchors {top: tabs.top; horizontalCenter: parent.horizontalCenter}
                    color: "black"
                    visible: false
                    Text{
                        id: titleText
                        anchors.centerIn: parent
                        font {pixelSize: 16; bold: true}
                        text: "Pozycje"
                        color: "white"
                    }
                }
                */
                Item{
                    id: tabContent0
                    width: parent.width
                    height: commentsList.contentHeight
                    anchors.top: tabs.bottom
                    visible: false
                    ListView{
                        id: commentsList
                        width: parent.width * .95
                        height: lm.count * 90
                        anchors {top: parent.top; topMargin: 10; horizontalCenter: parent.horizontalCenter}
                        interactive: false
                        model: ListModel{id: lm}
                        delegate: CommentsDelegate{}
                    }
                }

                Rectangle{
                    id: tabContent1
                    width: parent.width
                    height: positionsList.contentHeight
                    anchors.top: tabs.bottom
                    color: "white"
                    visible: false
                    ListView{
                        id: positionsList
                        width: parent.width
                        height: matchMenu.height
                        anchors {top: parent.top; topMargin: 10}
                        interactive: false
                        model: ListModel{}
                        //spacing: 1
                        delegate: F1PositionDelegate{}
                    }
                }
            }
        }
    }

    onViewDeactivate: {
        circuitImg.source = ''
        tournamentImg.source = ''
        positionsList.model.clear()
        commentsList.model.clear()

    }

    function getTeamScores(team){
        var scores = team.scores.score;
        var currentScore = null;
        var periodScore = null;
        var normalTimeScore = null;
        for (var key in scores){
            if (scores[key].type === 'current'){
                currentScore = scores[key].value;
                continue;
            }
            if (scores[key].type === 'period'){
                periodScore = scores[key].value;
                continue;
            }
            if (scores[key].type === 'normaltime'){
                normalTimeScore = scores[key].value;
                continue;
            }
        }
        return {currentScore: currentScore ? currentScore : '0',
                periodScore: periodScore ? periodScore : '0',
                normalTimeScore: normalTimeScore ? normalTimeScore : '0'};
    }

    function fillData(data, info, params, commentators){
        var matchName_ = data[0].name.split('/').join(' / ').split('-').join(' - ')
        matchStatus.text = data[0].status_name;
        matchDate.text = '('+ data[0].match_date +')';
        matchDetailHeader.disciplineID = data[0].sport_id;
        var img = getImgURL(data[0].circuit_img)
        circuitImg.source = img !== null ? img : "";
        tournamentImg.source = (data[0].tournament_img !== undefined && data[0].tournament_img !== '') ? getImgURL(data[0].tournament_img) : '';
        tournamentNameText.text = matchName_;
        circuitNameText.text = data[0].circuit_name;
        match_name = matchName_;
        match_id = data[0].match_id;


        positionsList.model.clear();
        commentsList.model.clear();
        hideLoader()
        if (!data[0].entries){
            positionsSingle.visible = false;
            tabContent1.visible = false;
            tabContent0.visible = false;
            tabs.visible = false;
            matchMenu.visible = false;
            //scoreTable.height = scoreTable.parent.height;

            return
        }
        matchMenu.visible = true;
        //scoreTable.height = 215;
        var positions = data[0].entries.entry;
        //positionsList.height = 0;
        for (var i = 0; i < positions.length; ++i){
            positionsList.model.append({
                position: positions[i].position +'.',
                flag: (positions[i].team_img !== undefined && positions[i].team_img !== '') ? getImgURL(positions[i].team_img) : '',
                name: positions[i].name,
                team: positions[i].team_name,
                laps: positions[i].laps,
                time: positions[i].time !== '' ? positions[i].time : '' //positions[i].fastest_lap_time
            });
            //positionsList.height += 16;
        }
        if (commentators !== undefined){
            matchMenu.visible = true;
            var comments = commentators.contents.content;

            for (var i = 0; i < comments.length; ++i){
                commentsList.model.append({
                    time: comments[i].time,
                    imgSrc: (comments[i].img !== undefined && comments[i].img !== '') ? comments[i].img : '',
                    content: comments[i].txt
                });
            }
            positionsSingle.visible = false;
            tabs.visible = true;
            if (!tabs.selectedTab){
                tab0.select();
            } else {
                tabs.selectedTab.select();
            }
        } else {
            positionsSingle.visible = true;
            tabContent1.visible = true;
            tabContent0.visible = false;
            tabs.visible = false;
        }
        //toggleFavouritesIcon();

    }

    function toggleFavouritesIcon(){
        var added = checkMatchInFavourites();
        if (added){
            addToFavouritesButton.visible = false;
            removeFromFavouritesButton.visible = true;
        } else {
            addToFavouritesButton.visible = true;
            removeFromFavouritesButton.visible = false;
        }
        return added;
    }
}

