import QtQuick 1.0


Item{
    id: delegate
    width: parent.width
    height: 30

    property string nColor: "#CACACA"
    property string aColor: "#BBBBBB"

    Rectangle{
        id: playerNoTxt
        width: parent.width * .07
        height: parent.height
        anchors {left: parent.left; verticalCenter: parent.verticalCenter}
        color: nColor
        Text{
            anchors.fill: parent
            horizontalAlignment: Text.AlignRight
            color: "black"
            font {pixelSize: 14; bold: !reserved ? true : false}
            text: no
        }
    }
    Rectangle{
        id: playerNameTxt
        width: parent.width * .33
        height: parent.height
        anchors {left: playerNoTxt.right; verticalCenter: parent.verticalCenter}
        color: aColor
        Text{
            anchors.fill: parent
            horizontalAlignment: Text.AlignLeft
            anchors.leftMargin: delegate.width * .01
            color: "black"
            font {pixelSize: 14; bold: !reserved ? true : false}
            text: name
        }
    }
    Rectangle{
        id: goalsTxt
        width: parent.width * .15
        height: parent.height
        anchors {left: playerNameTxt.right; verticalCenter: parent.verticalCenter}
        color: nColor
        Text{
            anchors.fill: parent
            horizontalAlignment: Text.AlignRight
            anchors.leftMargin: delegate.width * .01
            color: "black"
            font {pixelSize: 14}
            text: goals
        }
    }
    Rectangle{
        id: yelCardTxt
        width: parent.width * .15
        height: parent.height
        anchors {left: goalsTxt.right; verticalCenter: parent.verticalCenter}
        color: aColor
        Text{
            anchors.fill: parent
            horizontalAlignment: Text.AlignRight
            anchors.leftMargin: delegate.width * .01
            color: "black"
            font {pixelSize: 14}
            text: yelCard
        }
    }
    Rectangle{
        id: redCardTxt
        width: parent.width * .15
        height: parent.height
        anchors {left: yelCardTxt.right; verticalCenter: parent.verticalCenter}
        color: nColor
        Text{
            anchors.fill: parent
            horizontalAlignment: Text.AlignRight
            anchors.leftMargin: delegate.width * .01
            color: "black"
            font {pixelSize: 14}
            text: redCard
        }
    }
    Rectangle{
        id: changesTxt
        width: parent.width * .15
        height: parent.height
        anchors {left: redCardTxt.right; verticalCenter: parent.verticalCenter}
        color: aColor
        Text{
            anchors.fill: parent
            horizontalAlignment: Text.AlignRight
            anchors.leftMargin: delegate.width * .01
            color: "black"
            font {pixelSize: 14}
            text: changes
        }
    }

    /*
    Rectangle{
        width: parent.width
        height: 1
        color: "black"
        anchors.bottom: parent.bottom
        anchors.horizontalCenter: parent.horizontalCenter
    }
    */
}
