import QtQuick 1.0

Rectangle{
    width: parent.width - 20
    height: 30
    anchors{top: parent.top; horizontalCenter: parent.horizontalCenter; topMargin: 10}
    radius: 5
    gradient: Gradient{
        GradientStop {position: 0; color: "lightgrey"}
        GradientStop {position: 1; color: "grey"}
    }
    Image {
        id: sTeamLogo
        anchors {left: parent.left; verticalCenter: parent.verticalCenter; leftMargin: 10}
        width: 30
        height: 35
        fillMode: Image.PreserveAspectFit

    }
    Text{
        id: sTeamName
        anchors {left: sTeamLogo.right; verticalCenter: parent.verticalCenter; leftMargin: 10}
        color: "black"
        font {pixelSize: 16; bold: true}
    }

    function setData(logoSrc, teamName){
        sTeamLogo.source = logoSrc;
        sTeamName.text = teamName
    }
}
