import QtQuick 1.0
import ".."

RightView{
    property int idd

    MatchDetail{
        id: flick
        Image{
            source: "../../rsc/wynik_tlo_cale.png"
            fillMode: Image.PreserveAspectCrop
            id: scoreTable
            width: parent.width
            height: matchMenu.visible ? 220 : container.height;
            clip: true
            //color: "black"
            //radius: 5

            MatchDetailHeader{
                id: matchDetailHeader
                z: 1
            }

            Item{
                id: scoreTab
                anchors {top: matchDetailHeader.bottom; left: parent.left; right: parent.right; bottom: parent.bottom}
                //color: parent.color
                z: 1
                Item{
                    id: teamsNames
                    anchors {top: parent.top; left: parent.left; right: parent.right;}
                    height: 30
                    //color: parent.color
                    z: 1
                    Text{
                        id: teamNameLeft
                        anchors {top: parent.top; left: parent.left; right: parent.right; topMargin: 10; leftMargin: 10}
                        horizontalAlignment: Text.AlignLeft
                        wrapMode: Text.WordWrap
                        text: ""
                        color: "white"
                        font.family: "Verdana"
                        font.pixelSize: 16
                    }
                    Text{
                        id: teamNameRight
                        anchors {top: parent.top; left: parent.left; right: parent.right; topMargin: 10; rightMargin: 10}
                        horizontalAlignment: Text.AlignRight
                        wrapMode: Text.WordWrap
                        text: ""
                        color: "white"
                        font.family: "Verdana"
                        font.pixelSize: 16
                    }
                }
                Item{
                    id: logosAndScores
                    anchors {top: teamsNames.bottom; left: parent.left; right: parent.right}
                    height: 80
                    //color: parent.color
                    z: 1
                    Image {
                        id: teamLogoLeft
                        anchors {top: parent.top; left: parent.left; leftMargin: 10}
                        width: 80
                        height: 80
                        fillMode: Image.PreserveAspectFit
                    }
                    Text {
                        id: scoreLeft
                        anchors {right: scoreDelim.left; rightMargin: 5}
                        font.pixelSize: 30
                        font.bold: true
                        color: "white"
                        text: "0"
                    }

                    Text{
                        id: scoreDelim
                        anchors {horizontalCenter: parent.horizontalCenter}
                        font.pixelSize: 30
                        font.bold: true
                        color: "white"
                        text: ":"
                    }

                    Text {
                        id: scoreRight
                        anchors {left: scoreDelim.right; leftMargin: 5}
                        font.pixelSize: 30
                        font.bold: true
                        color: "white"
                        text: "0"
                    }

                    Text {
                        id: halfTimeScoreLeft
                        anchors {right: halfTimeScoreDelim.left; top: scoreDelim.bottom; rightMargin: 5}
                        font.pixelSize: 20
                        font.bold: true
                        color: "lightgrey"
                        text: "0"
                    }

                    Text{
                        id: halfTimeScoreDelim
                        anchors {verticalCenter: halfTimeScoreLeft.verticalCenter; horizontalCenter: parent.horizontalCenter}
                        font.pixelSize: 20
                        font.bold: true
                        color: "lightgrey"
                        text: ":"
                    }

                    Text {
                        id: halfTimeScoreRight
                        anchors {left: halfTimeScoreDelim.right; top: scoreDelim.bottom; leftMargin: 5}
                        font.pixelSize: 20
                        font.bold: true
                        color: "lightgrey"
                        text: "0"
                    }

                    Image {
                        id: teamLogoRight
                        anchors {top: parent.top; right: parent.right; rightMargin: 10}
                        width: 80
                        height: 80
                        fillMode: Image.PreserveAspectFit
                    }
                }
            }
        }
        Rectangle{
            id: matchMenu

            width: parent.width
            anchors {top: scoreTable.bottom; topMargin: -5}
            height: visible ? (tabs.height + (tabContent0.visible ? tabContent0.height - (container.height - scoreTable.height) : 0) + (tabContent1.visible ? tabContent1.height - (container.height - scoreTable.height) : 0) + (container.height - scoreTable.height) + 30) : 0;
            color: "white"
            border.color: "white"
            //radius: 5
            visible: false
            z: 1
            MatchMenuTabs{
                id: tabs
                MatchMenuTab{
                    id: tab0
                    anchors {top: parent.top; left: parent.left; bottom: parent.bottom}
                    title: "Komentator"
                    onSelected: {
                        tabContent0.visible = true;
                        tabContent1.visible = false;
                    }
                }
                MatchMenuTab{
                    id: tab1
                    anchors {top: parent.top; left: tab0.right; bottom: parent.bottom}
                    title: "Skład"
                    onSelected: {
                        tabContent0.visible = false;
                        tabContent1.visible = true;
                    }
                }
            }

            Item{
                id: tabContent0
                width: parent.width
                height: commentsList.contentHeight
                anchors.top: tabs.bottom
                visible: false
                ListView{
                    id: commentsList
                    width: parent.width * .95
                    height: lm.count * 90
                    anchors {top: parent.top; topMargin: 10; horizontalCenter: parent.horizontalCenter}
                    interactive: false
                    model: ListModel{id: lm}
                    delegate: CommentsDelegate{}
                }
            }

            Item{
                id: tabContent1
                width: parent.width
                height: team1Bar.height + team1Header.height + team1Sqad.contentHeight + team2Bar.height + team2Header.height + team2Sqad.contentHeight + 40
                anchors.top: tabs.bottom
                visible: false
                HandballTeamNameBar{
                    id: team1Bar
                    anchors.top: parent.top
                }
                HandballSqadHeader{
                    id: team1Header
                    anchors {top: team1Bar.bottom; topMargin: 10}
                }
                HandballSqadList{
                    id: team1Sqad
                    anchors {top: team1Header.bottom; topMargin: 2}
                }
                HandballTeamNameBar{
                    id: team2Bar
                    anchors {top: team1Sqad.bottom; topMargin: 20}
                }
                HandballSqadHeader{
                    id: team2Header
                    anchors {top: team2Bar.bottom; topMargin: 10}
                }
                HandballSqadList{
                    id: team2Sqad
                    anchors {top: team2Header.bottom; topMargin: 2}
                }
            }
        }
    }
    ScrollBar{flickable: flick; color: "green"}

    onViewDeactivate: {
        teamLogoLeft.source = ''
        teamLogoRight.source = ''
        commentsList.model.clear()
        team1Sqad.model.clear()
        team2Sqad.model.clear()
    }

    function getTeamScores(team){
        var scores = team.scores.score;
        var currentScore = null;
        var periodScore = null;
        var normalTimeScore = null;
        for (var key in scores){
            if (scores[key].type === 'current'){
                currentScore = scores[key].value;
                continue;
            }
            if (scores[key].type === 'period'){
                periodScore = scores[key].value;
                continue;
            }
            if (scores[key].type === 'normaltime'){
                normalTimeScore = scores[key].value;
                continue;
            }
        }
        return {currentScore: currentScore ? currentScore : '0',
                periodScore: periodScore ? periodScore : '0',
                normalTimeScore: normalTimeScore ? normalTimeScore : '0'};
    }

    function fillData(data, info, params, commentators){
        var matchName_ = '';
        matchDetailHeader.fillHeader(data[0]);
        // first team
        var team = data[0].entries.entry["1"];
        var teamName = team.team_name.split('/').join(' / ').split('-').join(' - ')
        teamNameLeft.text = teamName
        teamLogoLeft.source = team.team_img !== '' ? getImgURL(team.team_img) : '';
        matchName_ = teamName;
        var scores = getTeamScores(team);
        scoreLeft.text = scores.currentScore;
        halfTimeScoreLeft.text = '('+ scores.periodScore;
        var events = team.events.event;
        // second team
        team = data[0].entries.entry["2"];
        teamName = team.team_name.split('/').join(' / ').split('-').join(' - ')
        teamNameRight.text = teamName
        teamLogoRight.source = team.team_img !== '' ? getImgURL(team.team_img) : '';
        matchName_ += ' - '+ teamName;
        scores = getTeamScores(team);
        scoreRight.text = scores.currentScore;
        halfTimeScoreRight.text = scores.periodScore +')';
        if (commentators !== undefined){
            matchMenu.visible = true;
            var comments = commentators.contents.content;
            commentsList.model.clear();
            for (var i = 0; i < comments.length; ++i){
                commentsList.model.append({
                    time: comments[i].time,
                    imgSrc: (comments[i].img !== undefined && comments[i].img !== '') ? comments[i].img : '',
                    content: comments[i].txt
                });
            }
            var teams = commentators.teams.team;
            var icon = commentators.icon;

            team1Sqad.model.clear();
            team1Bar.setData(teams[0].logo, teams[0].name);
            team1Header.setImages(icon.goals, icon.yel_card, icon.red_card, icon.changes);
            var players = teams[0].players.player;
            for (var i = 0; i < players.length; ++i){
                team1Sqad.model.append({
                    no: players[i].nr,
                    name: players[i].name,
                    goals: players[i].goals,
                    yelCard: players[i].yel_card,
                    redCard: players[i].red_card,
                    changes: players[i].changes,
                    reserved: false,
                    penalty: players[i].penalty
                });
            }
            team2Sqad.model.clear();
            team2Bar.setData(teams[1].logo, teams[1].name);
            team2Header.setImages(icon.goals, icon.yel_card, icon.red_card, icon.changes);
            players = teams[1].players.player;
            for (var i = 0; i < players.length; ++i){
                team2Sqad.model.append({
                    no: players[i].nr,
                    name: players[i].name,
                    goals: players[i].goals,
                    yelCard: players[i].yel_card,
                    redCard: players[i].red_card,
                    changes: players[i].changes,
                    reserved: false,
                    penalty: players[i].penalty
                });
            }
            if (!tabs.selectedTab){
                tab0.select();
            }
        } else {
            matchMenu.visible = false;
        }
        match_name = matchName_;
        match_id = data[0].match_id;
        matchDetailHeader.toggleFavouritesIcon();
        hideLoader()
    }
}

