import QtQuick 1.0

Rectangle {
    id: header
    width: parent.width * .95
    height: 20
    anchors.horizontalCenter: parent.horizontalCenter
    color: "gray"
    Text{
        id: playerNo
        width: parent.width * .07
        anchors {left: parent.left; verticalCenter: parent.verticalCenter}
        horizontalAlignment: Text.AlignRight
        color: "black"
        font {pixelSize: 14; bold: true}
        text: "Nr"
    }
    Item{
        id: playerName
        width: parent.width * .38
        height: parent.height
        anchors {left: playerNo.right; verticalCenter: parent.verticalCenter}
        Text{
            anchors.fill: parent
            anchors.leftMargin: header.width * 0.01
            horizontalAlignment: Text.AlignLeft
            color: "black"
            font {pixelSize: 14; bold: true}
            text: "Nazwisko"
        }
    }

    Image{
        id: goals
        width: parent.width * .1
        height: parent.height
        anchors {left: playerName.right; verticalCenter: parent.verticalCenter}
        fillMode: Image.PreserveAspectFit
        smooth: true
    }
    Image{
        id: yelCard
        width: parent.width * .1
        height: parent.height
        anchors {left: goals.right; verticalCenter: parent.verticalCenter}
        fillMode: Image.PreserveAspectFit
        smooth: true
    }
    Image{
        id: redCard
        width: parent.width * .1
        height: parent.height
        anchors {left: yelCard.right; verticalCenter: parent.verticalCenter}
        fillMode: Image.PreserveAspectFit
        smooth: true
    }
    Image{
        id: changes
        width: parent.width * .1
        height: parent.height
        anchors {left: redCard.right; verticalCenter: parent.verticalCenter}
        fillMode: Image.PreserveAspectFit
        smooth: true
    }
    Item{
        id: penalty
        width: parent.width * .15
        height: parent.height
        anchors {left: changes.right; verticalCenter: parent.verticalCenter}
        Text{
            anchors.fill: parent
            anchors.leftMargin: header.width * 0.01
            horizontalAlignment: Text.AlignRight
            color: "black"
            font {pixelSize: 14; bold: true}
            text: "Kary"
        }
    }

    function setImages(goalsSrc, yelCardSrc, redCardSrc, changesSrc){
        goals.source = goalsSrc;
        yelCard.source = yelCardSrc;
        redCard.source = redCardSrc;
        changes.source = changesSrc;
    }
}
