import QtQuick 1.0
import ".."

RightView{
    property int idd

    MatchDetail{
        Item{
            id: viewContent
            width: parent.width
            Image{
                source: "../../rsc/wynik_tlo_cale.png"
                fillMode: Image.PreserveAspectCrop
                id: scoreTable
                width: parent.width
                height: matchMenu.visible ? 290 : container.height;
                clip: true
                //color: "black"
                //radius: 5

                MatchDetailHeader{
                    id: matchDetailHeader
                }

                Item{
                    id: scoreContent
                    anchors {top: matchDetailHeader.bottom; left: parent.left; right: parent.right}
                    height: 150
                    //color: parent.color
                    z: 1
                    Item{
                        id: scoreTabLeft
                        anchors {top: parent.top; left: parent.left}
                        height: parent.height
                        width: parent.width / 2
                        z: 0
                        Text{
                            id: teamNameLeft
                            anchors {top: parent.top; left: parent.left; right: parent.right; topMargin: 5; leftMargin: 10}
                            height: 40
                            horizontalAlignment: Text.AlignLeft
                            wrapMode: Text.WordWrap
                            text: ""
                            color: "white"
                            font.family: "Verdana"
                            font.pixelSize: 16
                        }
                        Item{
                            id: logoAndScoreLeft
                            anchors {top: teamNameLeft.bottom; left: parent.left; right: parent.right; leftMargin: 10}
                            height: 55
                            Image {
                                id: teamLogoLeft
                                anchors {top: parent.top; left: parent.left}
                                width: 55
                                height: 55
                                fillMode: Image.PreserveAspectFit
                            }
                            Text {
                                id: scoreLeft
                                anchors {right: parent.right; verticalCenter: parent.verticalCenter; rightMargin: 20}
                                font.pixelSize: 30
                                font.bold: true
                                color: "white"
                                text: ""
                            }
                        }
                        Item {
                            anchors {top: logoAndScoreLeft.bottom; left: parent.left; right: parent.right; leftMargin: 15; rightMargin: 15}
                            height: 40
                            Text {
                                id: t1TextLeft
                                anchors {top: parent.top; right: t2TextLeft.left; rightMargin: 40}
                                height: 14
                                font.pixelSize: 14
                                color: "lightgrey"
                                text: "T1"
                            }
                            MatchSmallScore{
                                id: t1ValueLeft
                                anchors {top: t1TextLeft.bottom; horizontalCenter: t1TextLeft.horizontalCenter; topMargin: 5}
                            }
                            Text {
                                id: t2TextLeft
                                anchors {top: parent.top; horizontalCenter: parent.horizontalCenter}
                                height: 14
                                font.pixelSize: 14
                                color: "lightgrey"
                                text: "T2"
                            }
                            MatchSmallScore{
                                id: t2ValueLeft
                                anchors {top: t2TextLeft.bottom; horizontalCenter: t2TextLeft.horizontalCenter; topMargin: 5}
                            }
                            Text {
                                id: t3TextLeft
                                anchors {top: parent.top; left: t2TextLeft.right; leftMargin: 40}
                                height: 14
                                font.pixelSize: 14
                                color: "lightgrey"
                                text: "T3"
                            }
                            MatchSmallScore{
                                id: t3ValueLeft
                                anchors {top: t3TextLeft.bottom; horizontalCenter: t3TextLeft.horizontalCenter; topMargin: 5}
                            }
                        }
                    }

                    Image{
                        source: "../../rsc/linia_wynik_pion.png"
                        height: parent.height
                        anchors.centerIn: parent
                        z: 1
                    }

                    Item{
                        id: scoreTabRight
                        anchors {top: parent.top; right: parent.right}
                        width: parent.width / 2
                        height: parent.height
                        z: 0
                        Text{
                            id: teamNameRight
                            anchors {top: parent.top; left: parent.left; right: parent.right; topMargin: 5; rightMargin: 10}
                            height: 40
                            horizontalAlignment: Text.AlignRight
                            wrapMode: Text.WordWrap
                            text: ""
                            color: "white"
                            font.family: "Verdana"
                            font.pixelSize: 16

                        }
                        Item{
                            id: logoAndScoreRight
                            anchors {top: teamNameRight.bottom; left: parent.left; right: parent.right; leftMargin: 10}
                            height: 55
                            Image {
                                id: teamLogoRight
                                anchors {top: parent.top; right: parent.right}
                                width: 55
                                height: 55
                                fillMode: Image.PreserveAspectFit
                            }
                            Text {
                                id: scoreRight
                                anchors {left: parent.left; verticalCenter: parent.verticalCenter; rightMargin: 20}
                                font.pixelSize: 30
                                font.bold: true
                                color: "white"
                                text: ""
                            }
                        }
                        Item {
                            anchors {top: logoAndScoreRight.bottom; left: parent.left; right: parent.right; leftMargin: 15; rightMargin: 15}
                            height: 45
                            Text {
                                id: t1TextRight
                                anchors {top: parent.top; right: t2TextRight.left; rightMargin: 40}
                                height: 14
                                font.pixelSize: 14
                                color: "lightgrey"
                                text: "T1"
                            }
                            MatchSmallScore{
                                id: t1ValueRight
                                anchors {top: t1TextRight.bottom; horizontalCenter: t1TextRight.horizontalCenter; topMargin: 5}
                            }
                            Text {
                                id: t2TextRight
                                anchors {top: parent.top; horizontalCenter: parent.horizontalCenter}
                                height: 14
                                font.pixelSize: 14
                                color: "lightgrey"
                                text: "T2"
                            }
                            MatchSmallScore{
                                id: t2ValueRight
                                anchors {top: t2TextRight.bottom; horizontalCenter: t2TextRight.horizontalCenter; topMargin: 5}
                            }
                            Text {
                                id: t3TextRight
                                anchors {top: parent.top; left: t2TextRight.right; leftMargin: 40}
                                height: 14
                                font.pixelSize: 14
                                color: "lightgrey"
                                text: "T3"
                            }
                            MatchSmallScore{
                                id: t3ValueRight
                                anchors {top: t3TextRight.bottom; horizontalCenter: t3TextRight.horizontalCenter; topMargin: 5}
                            }
                        }
                    }
                }
                Item {
                    id: eventsTab
                    //color: parent.color
                    //border.color: parent.color
                    anchors {top: scoreContent.bottom; left: parent.left; right: parent.right; bottom: parent.bottom}
                    //height: 120
                    clip: true
                    Component{
                        id: eventDelegate
                        Item{

                            width: parent.width
                            height: 18

                            Image{
                                id: eventImg
                                width: 18
                                height: 18
                                fillMode: Image.PreserveAspectFit
                                smooth: true
                                anchors {left: parent.left}
                                source: src
                            }
                            Text{
                                id: event
                                anchors {left: eventImg.right; verticalCenter: eventImg.verticalCenter; leftMargin: 5}
                                color: "lightgrey"
                                font.pixelSize: 14
                                text: txt
                            }
                        }
                    }
                    ListView{
                        z: 0
                        id: eventsLeft
                        width: parent.width / 2 - 10
                        anchors {top: parent.top; left: parent.left; leftMargin: 10; bottom: parent.bottom}
                        //height:  parent.height - 15
                        boundsBehavior: Flickable.StopAtBounds
                        model: ListModel{}
                        delegate: eventDelegate
                        clip: true
                    }

                    /*
                    Image{
                        source: "../verticalLine.gif"
                        anchors.centerIn: parent
                        z: 1
                    }
                    */
                    ListView{
                        z: 0
                        id: eventsRight
                        width: parent.width / 2 - 10
                        anchors {top: parent.top; right: parent.right; leftMargin: 10; bottom: parent.bottom}
                        //height:  parent.height - 15
                        boundsBehavior: Flickable.StopAtBounds
                        model: ListModel{}
                        delegate: eventDelegate
                        clip: true
                    }
                }
            }
            Rectangle{
                id: matchMenu

                width: parent.width
                anchors {top: scoreTable.bottom; topMargin: -5}
                height: visible ? (tabs.height + (tabContent0.visible ? tabContent0.height - (container.height - scoreTable.height) : 0) + (tabContent1.visible ? tabContent1.height - (container.height - scoreTable.height) : 0) + (container.height - scoreTable.height) + 20) : 0;
                color: "lightgrey"
                border.color: "lightgrey"
                radius: 5
                visible: false
                z: 1
                MatchMenuTabs{
                    id: tabs
                    MatchMenuTab{
                        id: tab0
                        anchors {top: parent.top; left: parent.left; bottom: parent.bottom; leftMargin: 15}
                        title: "Komentator"
                        onSelected: {
                            tabContent0.visible = true;
                            tabContent1.visible = false;
                        }
                    }
                    MatchMenuTab{
                        id: tab1
                        anchors {top: parent.top; right: parent.right; bottom: parent.bottom; rightMargin: 15}
                        title: "Skład"
                        onSelected: {
                            tabContent0.visible = false;
                            tabContent1.visible = true;
                        }
                    }
                }

                Item{
                    id: tabContent0
                    width: parent.width
                    height: commentsList.contentHeight
                    anchors.top: tabs.bottom
                    visible: false
                    ListView{
                        id: commentsList
                        width: parent.width * .95
                        height: lm.count * 82
                        anchors {top: parent.top; topMargin: 10; horizontalCenter: parent.horizontalCenter}
                        interactive: false
                        model: ListModel{id: lm}
                        delegate: Item{
                            width: parent.width
                            height: 82
                            Item{
                                id: cTimeItem
                                width: parent.width * .18
                                height: parent.height
                                Text{
                                    id: cTimeText
                                    color: "black"
                                    width: parent.width
                                    height: parent.height
                                    horizontalAlignment: Text.AlignRight
                                    verticalAlignment: Text.AlignVCenter
                                    font {pixelSize: 12; bold: true}
                                    text: time
                                }
                            }
                            Image{
                                id: cImg
                                width: parent.width * .05
                                height: 20
                                fillMode: Image.PreserveAspectFit
                                anchors {left: cTimeItem.right; verticalCenter: parent.verticalCenter; leftMargin: parent.width * .02}
                                source: imgSrc
                            }
                            Item{
                                id: cContentItem
                                width: parent.width * .75
                                height: parent.height
                                anchors {left: cImg.right; verticalCenter: parent.verticalCenter; leftMargin: parent.width * .02}
                                Text{
                                    id: cContentText
                                    color: "black"
                                    width: parent.width
                                    height: parent.height
                                    verticalAlignment: Text.AlignVCenter
                                    wrapMode: Text.WordWrap
                                    font {pixelSize: 11}
                                    text: content
                                }
                            }
                            Rectangle{
                                width: parent.width
                                height: 1
                                color: "black"
                                anchors.bottom: parent.bottom
                            }
                        }
                    }
                }

                Item{
                    id: tabContent1
                    width: parent.width
                    height: 0 //positionsList.contentHeight
                    anchors.top: tabs.bottom
                    visible: false
                    Rectangle{
                        width: parent.width - 20
                        height: 20
                        anchors{top: parent.top; horizontalCenter: parent.horizontalCenter; topMargin: 10}
                        gradient: Gradient{
                            GradientStop {position: 0; color: "lightgrey"}
                            GradientStop {position: 1; color: "grey"}
                        }
                        Image {
                            id: sTeam1Logo
                            anchors {left: parent.left; verticalCenter: parent.verticalCenter; leftMargin: 10}
                            width: 20
                            height: 20
                            fillMode: Image.PreserveAspectFit
                        }
                        Text{
                            id: sTeam1Name
                            anchors {left: sTeam1Logo.right; verticalCenter: parent.verticalCenter; leftMargin: 10}
                        }
                    }
                }
            }
        }
    }

    onViewDeactivate: {
        teamLogoLeft.source = ''
        teamLogoRight.source = ''
        eventsLeft.model.clear()
        eventsRight.model.clear()
    }

    function getTeamScores(team){
        var scores = team.scores.score;
        var currentScore = null;
        var t1score = null;
        var t2score = null;
        var t3score = null;
        var normalTimeScore = null;
        var scoresArr = [];
        for (var key in scores){
            if (scores[key].type === 'current'){
                currentScore = scores[key].value;
                continue;
            }
            if (scores[key].type === 'period'){
                scoresArr.push(scores[key].value);
                continue;
            }
            /*
            if (scores[key].name === 'Tercja 2'){
                t2score = scores[key].value;
                continue;
            }
            if (scores[key].name === 'Tercja 3'){
                t3score = scores[key].value;
                continue;
            }
            if (scores[key].type === 'normaltime'){
                normalTimeScore = scores[key].value;
                continue;
            }
            */
        }
        return {currentScore: currentScore ? currentScore : '0',
                t1score: scoresArr[0] ? scoresArr[0] : '0',
                t2score: scoresArr[1] ? scoresArr[1] : '0',
                t3score: scoresArr[2] ? scoresArr[2] : '0',
                normalTimeScore: normalTimeScore ? normalTimeScore : '0'};
    }

    function fillData(data){
        var matchName_ = '';
        matchDetailHeader.fillHeader(data[0]);
        // first team
        var team = data[0].entries.entry["1"];
        var teamName = team.team_name.split('/').join(' / ').split('-').join(' - ')
        teamNameLeft.text = teamName
        teamLogoLeft.source = team.team_img !== '' ? getImgURL(team.team_img) : '';
        matchName_ = teamName
        var scores = getTeamScores(team);
        scoreLeft.text = scores.currentScore;
        t1ValueLeft.text = scores.t1score;
        t2ValueLeft.text = scores.t2score;
        t3ValueLeft.text = scores.t3score;
        var events = team.events.event;
        eventsLeft.model.clear();
        for (var i in events){
            eventsLeft.model.append({
                src: events[i].img,
                txt: events[i].txt
            });
        }
        // second team
        team = data[0].entries.entry["2"];
        teamName = team.team_name.split('/').join(' / ').split('-').join(' - ')
        teamNameRight.text = teamName
        teamLogoRight.source = team.team_img !== '' ? getImgURL(team.team_img) : '';
        matchName_ += ' - '+ teamName;
        scores = getTeamScores(team);
        scoreRight.text = scores.currentScore;
        t1ValueRight.text = scores.t1score;
        t2ValueRight.text = scores.t2score;
        t3ValueRight.text = scores.t3score;
        events = team.events.event;
        eventsRight.model.clear();
        for (var i in events){
            eventsRight.model.append({
                src: events[i].img,
                txt: events[i].txt
            });
        }

        match_name = matchName_;
        match_id = data[0].match_id;
        matchDetailHeader.toggleFavouritesIcon();
        hideLoader()
    }
}
