import QtQuick 1.0
import "../../js/DB.js" as DB

Item{
    property int disciplineID

    id: matchDetailHeader
    anchors {top: parent.top; left: parent.left; right: parent.right}
    height: (title.paintedHeight + matchTimeContent.height + 10) > 70 ? (title.paintedHeight + matchTimeContent.height + 10) : 70
    //color: parent.color
    z: 1
    function fillHeader(data){
        title.text = data.name;
        matchStatus.text = data.status_name;
        matchDate.text = '('+ data.match_date +')';
        disciplineID = data.sport_id;
    }

    function toggleFavouritesIcon(){
        /*
        var added = checkMatchInFavourites();
        if (added){
            addToFavouritesButton.visible = false;
            removeFromFavouritesButton.visible = true;
        } else {
            addToFavouritesButton.visible = true;
            removeFromFavouritesButton.visible = false;
        }
        return added;
        */
    }

    Item {
        id: titleBar
        anchors {left: parent.left; right: parent.right; top: parent.top; topMargin: 5; leftMargin: 10; rightMargin: 15}

        Item{
            id: backButton
            anchors {top: parent.top; right: parent.right}
            width: 54
            height: 54
            Image{
                anchors.centerIn: parent
                source: backMA.pressed ? "../../rsc/powrot02.png" : "../../rsc/powrot01.png"
            }
            MouseArea{
                id: backMA
                anchors.fill: parent
                onClicked: {
                    showPreviousRightView();
                }
            }
        }

        Item{
            id: refreshButton
            anchors {top: parent.top; right: backButton.left; rightMargin: 5}
            width: 54
            height: 54
            Image{
                id: refreshImg
                anchors.centerIn: parent
                source: "../../rsc/navi_arrow_black.png"
                visible: true
            }
            Image{
                id: refreshImgHover
                anchors.centerIn: parent
                source: "../../rsc/navi_arrow_gray.png"
                visible: false
            }
            MouseArea{
                anchors.fill: parent
                onEntered: {
                    refreshImgHover.visible = true;
                    refreshImg.visible = false;
                }
                onExited: {
                    refreshImg.visible = true;
                    refreshImgHover.visible = false;
                }
                onClicked: {
                    switch (disciplineID){
                        case 1:
                            getFootballDetal();
                            break;
                        case 2:
                            getBasketballDetal();
                            break;
                        case 4:
                            getHockeyDetal();
                            break;
                        case 5:
                            getTenisDetal();
                            break;
                        case 6:
                            getHandballDetal();
                            break;
                    }
                }
            }
        }
        /*
        Item{
            id: addToFavouritesButton
            anchors {top: parent.top; right: refreshButton.left; rightMargin: 5}
            width: 54
            height: 54
            visible: false
            Image{
                id: addToFavouritesImg
                anchors.centerIn: parent
                source: "../../rsc/navi_star_02.png"
                visible: true
            }
            Image{
                id: addToFavouritesImgHover
                anchors.centerIn: parent
                source: "../../rsc/navi_star_gray.png"
                visible: false
            }
            MouseArea{
                anchors.fill: parent
                onEntered: {
                    addToFavouritesImgHover.visible = true;
                    addToFavouritesImg.visible = false;
                }
                onExited: {
                    addToFavouritesImg.visible = true;
                    addToFavouritesImgHover.visible = false;
                }
                onClicked: {
                    if (DB.getFavouritesCount() >= container.maxFavourites){
                        dialog.showDialog('Nie można dodać tego meczu do ulubionych:\nlimit ilości pozycji został osiągnięty.');
                    } else {
                        addMatchToFavourites(disciplineID);
                        var added = toggleFavouritesIcon();
                        if (added){
                            dialog.showDialog('Mecz dodany do ulubionych');
                        } else {
                            dialog.showDialog('Błąd dodawania do ulubionych');
                        }
                        if (favourites.x == 0){
                            fillFavourites();
                        }
                    }
                }
            }
        }

        Item{
            id: removeFromFavouritesButton
            anchors {top: parent.top; right: refreshButton.left; rightMargin: 5}
            width: 54
            height: 54
            visible: false
            Image{
                id: removeFromFavouritesImg
                anchors.centerIn: parent
                source: "../../rsc/ulubioneS.png"
                visible: true
            }
            Image{
                id: removeFromFavouritesImgHover
                anchors.centerIn: parent
                source: "../../rsc/navi_star_gray.png"
                visible: false
            }
            MouseArea{
                anchors.fill: parent
                onEntered: {
                    removeFromFavouritesImgHover.visible = true;
                    removeFromFavouritesImg.visible = false;
                }
                onExited: {
                    removeFromFavouritesImg.visible = true;
                    removeFromFavouritesImgHover.visible = false;
                }
                onClicked: {
                    removeMatchFromFavourites();
                    var added = toggleFavouritesIcon();
                    if (!added){
                        dialog.showDialog('Mecz usunięty z ulubionych');
                    } else {
                        dialog.showDialog('Błąd usuwania z ulubionych');
                    }
                    if (favourites.x == 0){
                        fillFavourites();
                    }
                }
            }
        }
        */
        Text{
            id: title
            anchors {left: parent.left; right: refreshButton.left}
            color: "lightgrey"
            wrapMode: Text.WordWrap
            font.pixelSize: 16
            font.bold: true
            text: ""
            z: 1
        }

    }

    Item{
        id: matchTimeContent
        anchors {bottom: parent.bottom; left: parent.left; bottomMargin: 5; leftMargin: 10}
        height: 20
        //color: parent.color
        z: 1
        Image{
            id: clockImg
            width: 20
            height: 20
            fillMode: Image.PreserveAspectFit
            smooth: true
            source: "../../rsc/clock_02.png"
            anchors {bottom: parent.bottom; left: parent.left}
        }
        Text{
            id: matchStatus
            anchors {left: clockImg.right; leftMargin: 5; verticalCenter: clockImg.verticalCenter}
            color: "red"
            font.pixelSize: 14
            text: ""
        }
        Text {
            id: matchDate
            anchors {left: matchStatus.right; leftMargin: 5; verticalCenter: matchStatus.verticalCenter}
            color: "grey"
            font.pixelSize: 14
            text: ""
        }
    }
    // bottom border
    Image {
        source: "../../rsc/linia_wynik_2.png"
        width: parent.width - 20
        anchors {bottom: parent.bottom; horizontalCenter: parent.horizontalCenter}
    }
}
