import QtQuick 1.0

Rectangle{
    id: tab
    property bool isSelected: false
    property bool selectable: true
    property alias title: titleText.text

    signal selected

    width: parent.width / 2 - 2
    height: 40
    anchors.leftMargin: 1
    //radius: 5
    //border.width: 1
    //border.color: "grey"
    //smooth: true
    /*
    Gradient{
        id: gradientNormal
        GradientStop{position: 0; color: "lightgrey"}
        GradientStop{position: 1; color: "grey"}
    }


    Gradient{
        id: gradientAlternate
        GradientStop{position: 1; color: "black"}
    }
    */
    color: "lightgrey"
    states: [
        State{
            name: "SELECTED"
            when: isSelected
            //PropertyChanges{target: tab; gradient: gradientAlternate; width: parent.width / 2 - 15; height: parent.height; visible: true}
            PropertyChanges{target: tab; color: "grey"; width: parent.width / 2 - 2; height: 40}
            PropertyChanges{target: titleText; color: "white"}
        },
        State{
            name: "NORMAL"
            when: !isSelected
            //PropertyChanges{target: tab; gradient: gradientNormal; width: parent.width / 2 - 15; height: parent.height; visible: true}
            PropertyChanges{target: tab; color: "lightgrey"; width: parent.width / 2 - 2; height: 40}
            PropertyChanges{target: titleText; color: "black"}
        },
        State{
            name: "ENABLED"
            PropertyChanges{target: tab; width: parent.width / 2 - 2; height: parent.height; visible: true}
        },
        State{
            name: "DISABLED"
            PropertyChanges{target: tab; width: 0; height: 0; visible: false}
        }
    ]

    Text{
        id: titleText
        anchors.fill: parent
        horizontalAlignment: Text.AlignHCenter
        verticalAlignment: Text.AlignVCenter
        font {pixelSize: 16; bold: true}
        color: "black"
    }

    MouseArea{
        anchors.fill: parent
        onClicked: if (tab.selectable) select()
    }

    function select(){
        parent.deselectTabs();
        isSelected = true;
        tab.selected();
        parent.selectedTab = tab;
    }

    function deselect(){
        isSelected = false;
    }
}
