import QtQuick 1.0
import ".."
import "../events"

RightView{
    property int idd

    MatchDetail{
        Image{
            source: "../../rsc/wynik_tlo_cale.png"
            fillMode: Image.PreserveAspectCrop
            id: scoreTable
            width: parent.width
            height: matchMenu.visible ? 170 : container.height;
            clip: true
            //color: "black"
            //radius: 5

            MatchDetailHeader{
                id: matchDetailHeader
                z: 1
            }

            Rectangle{
                id: matchDetails
                width: parent.width - 10
                height: 65
                anchors {top: matchDetailHeader.bottom; horizontalCenter: parent.horizontalCenter; topMargin: 2}
                color: "white"
                radius: 5

                Rectangle{
                    id: playerItem1
                    width: parent.width - 5
                    height: parent.height / 2 - 3
                    anchors.bottom: border.top
                    color: parent.color
                    radius: 3
                    smooth: true
                    /*
                    Item{
                        id: playerFlagItem1
                        width: 30
                        height: parent.height
                        anchors {left: parent.left; leftMargin: 20}
                        Image{
                            id: playerFlag1
                            anchors.centerIn: parent
                            width: parent.width
                            height: parent.height
                            fillMode: Image.PreserveAspectFit
                        }
                    }
                    */
					Item{
						id: playerNameItem1
						width: parent.width * .5
						height: parent.height
						anchors {left: parent.left/*playerFlagItem1.right*/; leftMargin: 10}
						Text{
							id: playerNameText1
//							anchors {left: parent.left; verticalCenter: parent.verticalCenter}
							anchors.fill: parent
							verticalAlignment: Text.AlignVCenter
							wrapMode: Text.WordWrap
							horizontalAlignment: Text.AlignRight
							color: "grey"
							font.pixelSize: 14
							font.bold: true
							text: ""
						}
					}
                    Item {
                        id: servePossessionItem1
                        width: 15
                        height: parent.height
                        anchors.left: playerNameItem1.right
                        Image{
                            id: servePossession1
                            anchors.centerIn: parent
                            source: "../../rsc/currentTenisServe.png"
                            visible: false
                        }
                    }
                    Item {
                        id: winnerItem1
                        width: 15
                        height: parent.height
                        anchors.left: playerNameItem1.right
                        Image{
                            id: winner1
                            anchors.centerIn: parent
                            source: "../../rsc/tenisWinner.png"
                            visible: false
                        }
                    }
                    TenisSet{
                        id: set1Item1
                        anchors {left: servePossessionItem1.right; leftMargin: 10}
                    }
                    TenisSet{
                        id: set2Item1
                        anchors {left: set1Item1.right; leftMargin: 5}
                    }
                    TenisSet{
                        id: set3Item1
                        anchors {left: set2Item1.right; leftMargin: 5}
                    }
                    TenisSet{
                        id: set4Item1
                        anchors {left: set3Item1.right; leftMargin: 5}
                        gradient1color: "#EFEFEF"
                        gradient2color: "#EFEFEF"
                    }
                    TenisSet{
                        id: set5Item1
                        anchors {left: set4Item1.right; leftMargin: 5}
                        gradient1color: "#EFEFEF"
                        gradient2color: "#EFEFEF"
                    }
                }

                Rectangle{
                    id: border
                    height: 1
                    width: parent.width * .9
                    anchors.verticalCenter: parent.verticalCenter
                    anchors.horizontalCenter: parent.horizontalCenter
                    color: "lightgrey"
                }

                Rectangle{
                    id: playerItem2
                    width: parent.width - 3
                    height: parent.height / 2 - 3
                    anchors.top: border.bottom
                    color: parent.color
                    radius: 3
                    smooth: true
                    /*
                    Item{
                        id: playerFlagItem2
                        width: 30
                        height: parent.height
                        anchors {left: parent.left; leftMargin: 20}
                        Image{
                            id: playerFlag2
                            anchors.centerIn: parent
                            width: parent.width
                            height: parent.height
                            fillMode: Image.PreserveAspectFit
                        }
                    }
                    */
					Item{
						id: playerNameItem2
						width: parent.width * .5
						height: parent.height
						anchors {left: parent.left/*playerFlagItem2.right*/; leftMargin: 10}
						Text{
							id: playerNameText2
//                            anchors {left: parent.left; verticalCenter: parent.verticalCenter}
							anchors.fill: parent
							verticalAlignment: Text.AlignVCenter
							wrapMode: Text.WordWrap
							horizontalAlignment: Text.AlignRight
							color: "grey"
							font.pixelSize: 14
							font.bold: true
							text: ""
						}
					}
                    Item {
                        id: servePossessionItem2
                        width: 15
                        height: parent.height
                        anchors.left: playerNameItem2.right
                        Image{
                            id: servePossession2
                            anchors.centerIn: parent
                            source: "../../rsc/currentTenisServe.png"
                            visible: false
                        }
                    }
                    Item {
                        id: winnerItem2
                        width: 15
                        height: parent.height
                        anchors.left: playerNameItem2.right
                        Image{
                            id: winner2
                            anchors.centerIn: parent
                            source: "../../rsc/tenisWinner.png"
                            visible: false
                        }
                    }
                    TenisSet{
                        id: set1Item2
                        anchors {left: servePossessionItem2.right; leftMargin: 10}
                    }
                    TenisSet{
                        id: set2Item2
                        anchors {left: set1Item2.right; leftMargin: 5}
                    }
                    TenisSet{
                        id: set3Item2
                        anchors {left: set2Item2.right; leftMargin: 5}
                    }
                    TenisSet{
                        id: set4Item2
                        anchors {left: set3Item2.right; leftMargin: 5}
                        gradient1color: "#EFEFEF"
                        gradient2color: "#EFEFEF"
                    }
                    TenisSet{
                        id: set5Item2
                        anchors {left: set4Item2.right; leftMargin: 5}
                        gradient1color: "#EFEFEF"
                        gradient2color: "#EFEFEF"
                    }
                }
            }
        }
        Rectangle{
            id: matchMenu

            width: parent.width
            anchors {top: scoreTable.bottom; topMargin: -5}
            height: visible ? (tabs.height + (tabContent0.visible ? tabContent0.height - (container.height - scoreTable.height) : 0) + (tabContent1.visible ? tabContent1.height - (container.height - scoreTable.height) : 0) + (container.height - scoreTable.height) + 20) : 0;
            color: "lightgrey"
            border.color: "lightgrey"
            radius: 5
            visible: false
            z: 1
            MatchMenuTabs{
                id: tabs
                MatchMenuTab{
                    id: tab0
                    anchors {top: parent.top; left: parent.left; bottom: parent.bottom; leftMargin: 15}
                    title: "Komentator"
                    onSelected: {
                        tabContent0.visible = true;
                        tabContent1.visible = false;
                    }
                }
                MatchMenuTab{
                    id: tab1
                    anchors {top: parent.top; right: parent.right; bottom: parent.bottom; rightMargin: 15}
                    title: "Profile"
                    onSelected: {
                        tabContent0.visible = false;
                        tabContent1.visible = true;
                    }
                }
            }

            Item{
                id: tabContent0
                width: parent.width
                height: commentsList.contentHeight
                anchors.top: tabs.bottom
                visible: false
                ListView{
                    id: commentsList
                    width: parent.width * .95
                    height: lm.count * 82
                    anchors {top: parent.top; topMargin: 10; horizontalCenter: parent.horizontalCenter}
                    interactive: false
                    model: ListModel{id: lm}
                    delegate: Item{
                        width: parent.width
                        height: 82
                        Item{
                            id: cTimeItem
                            width: parent.width * .18
                            height: parent.height
                            Text{
                                id: cTimeText
                                color: "black"
                                width: parent.width
                                height: parent.height
                                horizontalAlignment: Text.AlignRight
                                verticalAlignment: Text.AlignVCenter
                                font {pixelSize: 12; bold: true}
                                text: time
                            }
                        }
                        Image{
                            id: cImg
                            width: parent.width * .05
                            height: 20
                            fillMode: Image.PreserveAspectFit
                            anchors {left: cTimeItem.right; verticalCenter: parent.verticalCenter; leftMargin: parent.width * .02}
                            source: imgSrc
                        }
                        Item{
                            id: cContentItem
                            width: parent.width * .75
                            height: parent.height
                            anchors {left: cImg.right; verticalCenter: parent.verticalCenter; leftMargin: parent.width * .02}
                            Text{
                                id: cContentText
                                color: "black"
                                width: parent.width
                                height: parent.height
                                verticalAlignment: Text.AlignVCenter
                                wrapMode: Text.WordWrap
                                font {pixelSize: 11}
                                text: content
                            }
                        }
                        Rectangle{
                            width: parent.width
                            height: 1
                            color: "black"
                            anchors.bottom: parent.bottom
                        }
                    }
                }
            }

            Item{
                id: tabContent1
                width: parent.width
                height: 0 //positionsList.contentHeight
                anchors.top: tabs.bottom
                visible: false
                Rectangle{
                    width: parent.width - 20
                    height: 20
                    anchors{top: parent.top; horizontalCenter: parent.horizontalCenter; topMargin: 10}
                    gradient: Gradient{
                        GradientStop {position: 0; color: "lightgrey"}
                        GradientStop {position: 1; color: "grey"}
                    }
                    Image {
                        id: sTeam1Logo
                        anchors {left: parent.left; verticalCenter: parent.verticalCenter; leftMargin: 10}
                        width: 20
                        height: 20
                        fillMode: Image.PreserveAspectFit
                    }
                    Text{
                        id: sTeam1Name
                        anchors {left: sTeam1Logo.right; verticalCenter: parent.verticalCenter; leftMargin: 10}
                    }
                }
            }
        }
    }

    function getTeamScores(team){
        var scores = team.scores.score;
        var currentScore = null;
        var s1score = null;
        var s2score = null;
        var s3score = null;
        var s4score = null;
        var s5score = null;

        var scoresArr = [];
        for (var key in scores){
            if (scores[key].type === 'current'){
                currentScore = scores[key].value;
                continue;
            } else if (scores[key].type === 'period'){
                scoresArr.push(scores[key].value)
            }
            /*
            if (scores[key].name === 'Set 1'){
                s1score = scores[key].value;
                continue;
            }
            if (scores[key].name === 'Set 2'){
                s2score = scores[key].value;
                continue;
            }
            if (scores[key].name === 'Set 3'){
                s3score = scores[key].value;
                continue;
            }
            */
        }
        s1score = scoresArr[0];
        s2score = scoresArr[1];
        s3score = scoresArr[2];
        s4score = scoresArr.length > 3 ? scoresArr[3] : null;
        s5score = scoresArr.length > 4 ? scoresArr[4] : null;
        return {currentScore: currentScore ? currentScore : '',
                s1score: s1score !== undefined && s1score !== null ? s1score : '',
                s2score: s2score !== undefined && s2score !== null ? s2score : '',
                s3score: s3score !== undefined && s3score !== null ? s3score : '',
                s4score: s4score !== undefined && s4score !== null ? s4score : '',
                s5score: s5score !== undefined && s5score !== null ? s5score : ''
        }
    }

    function fillData(data){
        var matchName_ = '';
        matchDetailHeader.fillHeader(data[0]);
        // first team
        var team = data[0].entries.entry["1"];
		if (team.winner == 1){
			winner1.visible = true
			//playerItem1.color = "gold"
		} else {
			winner1.visible = false
			//playerItem1.color = playerItem1.parent.color
		}
        var teamName = team.team_name.split('/').join(' / ').split('-').join(' - ')
        playerNameText1.text = teamName
        //playerFlag1.source = team.team_img !== '' ? getImgURL(team.team_img) : '';
        matchName_ = teamName
        var scores = getTeamScores(team);
        set1Item1.setValue(scores.s1score);
        set2Item1.setValue(scores.s2score);
        set3Item1.setValue(scores.s3score);
        set4Item1.setValue(scores.s4score);
        set5Item1.setValue(scores.s5score);
        // second team
        team = data[0].entries.entry["2"];
		if (team.winner == 1){
			winner2.visible = true
			//playerItem2.color = "gold"
		} else {
			winner2.visible = false
			//playerItem2.color = playerItem2.parent.color
		}
        teamName = team.team_name.split('/').join(' / ').split('-').join(' - ')
        playerNameText2.text = teamName
        //playerFlag2.source = team.team_img !== '' ? getImgURL(team.team_img) : '';
        matchName_ += ' - '+ teamName
        scores = getTeamScores(team);
        set1Item2.setValue(scores.s1score);
        set2Item2.setValue(scores.s2score);
        set3Item2.setValue(scores.s3score);
        set4Item2.setValue(scores.s4score);
        set5Item2.setValue(scores.s5score);

        match_name = matchName_;
        match_id = data[0].match_id;
        matchDetailHeader.toggleFavouritesIcon();
        hideLoader()
    }
}

