import QtQuick 1.0
import "../navi"
import ".."

Item{
    width: menu.width
    height: menu.height

    Rectangle{
        width: parent.width
        height: 10
        anchors.top: parent.top
        color: "grey"
        z: 1000
        Image{
            anchors.centerIn: parent
            source: "../../rsc/ch_up.gif"
        }
        visible: !menuWrapper.atYBeginning
    }
    MenuWrapper{
        id: menuWrapper
        width: parent.width
        height: parent.height - 1
        delegate: TeamMenuItem{}
        onCurrentIndexChanged: {
            if (currentIndex != -1){
                //eventsView.resetDatePickers();
                team_id = currentItem.teamID;
                resetEventsSearch();
            }
        }
    }
    Rectangle{
        width: parent.width
        height: 10
        anchors.bottom: parent.bottom
        color: "grey"
        z: 1000
        Image{
            anchors.centerIn: parent
            source: "../../rsc/ch_down.gif"
        }
        visible: !menuWrapper.atYEnd
    }

    LoadingViewSmall{
        id: loadingView
        anchors.fill: parent
    }

    Item{
        id: menuNotAvailableInfo
        anchors.fill: parent
        visible: false
        Text{
            anchors.centerIn: parent
            wrapMode: Text.WordWrap
            color: "white"
            font {pixelSize: 16; bold: true}
            text: "Menu niedostępne"
        }
        onVisibleChanged: {console.log(visible)}
    }

    function showLoadingView(){
        loadingView.visible = true;
    }

    function hideLoadingView(){
        loadingView.visible = false;
    }

    function clear(){
        menuWrapper.model.clear();
    }

    function append(el){
        menuWrapper.model.append(el);
    }

    function setCurrentIndex(ind){
        menuWrapper.currentIndex = ind;
    }

    function showMenuNotAvailableInfo(){
        menuWrapper.visible = false
        hideLoadingView()
        menuNotAvailableInfo.visible = true
    }

    function hideMenuNotAvailableInfo(){
        menuNotAvailableInfo.visible = false
        menuWrapper.visible = true
    }
}
