import QtQuick 1.0
import "../navi"
import ".."

Item{
    width: menu.width
    height: menu.height

    Rectangle{
        width: parent.width
        height: 10
        anchors.top: parent.top
        color: "grey"
        z: 1000
        Image{
            anchors.centerIn: parent
            source: "../../rsc/ch_up.gif"
        }
        visible: !menuWrapper.atYBeginning
    }
    MenuWrapper{
        id: menuWrapper
        width: parent.width
        height: parent.height - 1
        delegate: TournamentMenuItem{}

        function indChanged(){
            tournament_id = currentItem.tournamentID;
            team_id = 0;
            if (currentIndex != -1 && discipline_id !== 11){
                getTeams(currentItem.tournamentID);
            }
            resetEventsSearch();
        }

        onCurrentIndexChanged: indChanged()
    }
    Rectangle{
        width: parent.width
        height: 10
        anchors.bottom: parent.bottom
        color: "grey"
        z: 1000
        Image{
            anchors.centerIn: parent
            source: "../../rsc/ch_down.gif"
        }
        visible: !menuWrapper.atYEnd
    }

    LoadingViewSmall{
        id: loadingView
        anchors.fill: parent
    }

    function showLoadingView(){
        loadingView.visible = true;
    }

    function hideLoadingView(){
        loadingView.visible = false;
    }

    function clear(){
        menuWrapper.model.clear();
    }

    function append(el){
        menuWrapper.model.append(el);
    }

    function setCurrentIndex(ind){
        menuWrapper.currentIndex = ind;
    }
}
