var db = openDatabaseSync("OLZ", "1.0", "OLZ!", 1000000);


db.transaction(function(tx) {

    //tx.executeSql('drop table FAVOURITES');
    tx.executeSql('create table if not exists FAVOURITES(ORDINAL number(3), ID number not null, TYPE char(1), DISCIPLINE_ID number, ICON varchar(200), NAME varchar(200))');

})

function addToFavourites(id, type, name, disciplineId, icon) {
    db.transaction(function(tx) {
         var rs = tx.executeSql('insert into FAVOURITES' +
                       ' (ORDINAL, ID, TYPE, DISCIPLINE_ID, ICON, NAME)' +
                       ' VALUES((select count(1) + 1 from FAVOURITES), ?, ?, ?, ?, ?)',
                       [ id, type, disciplineId, icon, name]);
                       //rs = tx.executeSql('select * from FAVOURITES where ROWID = ? ', [rs.insertId])
                       //console.log(rs.rows.item(0).ORDINAL +', '+ rs.rows.item(0).TOURNAMENT_ID +', '+ rs.rows.item(0).DISCIPLINE_ID +', '+ rs.rows.item(0).ICON +', '+ rs.rows.item(0).NAME)

    })
}

function addMatchToFavourites(matchId, name, disciplineId, icon){
    addToFavourites(matchId, 'M', name, disciplineId, icon);
}
/*
function addTournamentToFavourites(tournamentId, name, disciplineId, icon){
    addToFavourites(tournamentId, 'G', name, disciplineId, icon);
}
*/
function addTeamToFavourites(teamId, name, disciplineId, icon){
    addToFavourites(teamId, 'T', name, disciplineId, icon);
}

function addCategoryToFavourites(catId, name, disciplineId, icon){
    addToFavourites(catId, 'C', name, disciplineId, icon);
}

function removeMatchFromFavourites(matchId){
    db.transaction(function(tx) {
          tx.executeSql("update FAVOURITES set ORDINAL = ORDINAL - 1" +
          " where ORDINAL > (select ORDINAL from FAVOURITES where ID = ? and TYPE = 'M')", [matchId]);
          tx.executeSql("delete from FAVOURITES where ID = ? and TYPE = 'M'", [matchId]);
    });
}
/*
function removeTournamentFromFavourites(tournamentId){
    db.transaction(function(tx) {
        tx.executeSql("update FAVOURITES set ORDINAL = ORDINAL - 1" +
                      " where ORDINAL > (select ORDINAL from FAVOURITES where ID = ? and TYPE = 'G')", [tournamentId]);
        tx.executeSql("delete from FAVOURITES where ID = ? and TYPE = 'G'", [tournamentId]);
    });
}
*/
function removeTeamFromFavourites(teamId){
    db.transaction(function(tx) {
        tx.executeSql("update FAVOURITES set ORDINAL = ORDINAL - 1" +
                      " where ORDINAL > (select ORDINAL from FAVOURITES where ID = ? and TYPE = 'T')", [teamId]);
        tx.executeSql("delete from FAVOURITES where ID = ? and TYPE = 'T'", [teamId]);
    });
}

function removeCategoryFromFavourites(catId){
    db.transaction(function(tx) {
        tx.executeSql("update FAVOURITES set ORDINAL = ORDINAL - 1" +
                      " where ORDINAL > (select ORDINAL from FAVOURITES where ID = ? and TYPE = 'C')", [catId]);
        tx.executeSql("delete from FAVOURITES where ID = ? and TYPE = 'C'", [catId]);
    });
}

function checkMatchInFavourites(matchId){
    var rs = false;
    db.readTransaction(function(tx){
        rs = tx.executeSql("SELECT 1 FROM FAVOURITES where ID = ? and TYPE = 'M'", [matchId]);
    })
    return rs.rows.length == 1;
}
/*
function checkTournamentInFavourites(tournamentId){
    var rs = false;
    db.readTransaction(function(tx){
        rs = tx.executeSql("SELECT 1 FROM FAVOURITES where ID = ? and TYPE = 'G'", [tournamentId]);
    })
    return rs.rows.length == 1;
}
*/
function checkTeamInFavourites(teamId){
    var rs = false;
    db.readTransaction(function(tx){
        rs = tx.executeSql("SELECT 1 FROM FAVOURITES where ID = ? and TYPE = 'T'", [teamId]);
    })
    return rs.rows.length == 1;
}

function checkCategoryInFavourites(catId){
    var rs = false;
    db.readTransaction(function(tx){
        rs = tx.executeSql("SELECT 1 FROM FAVOURITES where ID = ? and TYPE = 'C'", [catId]);
    })
    return rs.rows.length == 1;
}

function getFavourites(){
    var rs;
    db.readTransaction(function(tx){
        rs = tx.executeSql('SELECT NAME, ICON, ID, TYPE, DISCIPLINE_ID FROM FAVOURITES order by ORDINAL asc');
    });
    for (var i = 0; i < rs.rows.length; ++i){
        console.log(rs.rows.item(i).TYPE +": "+ rs.rows.item(i).ID +"; "+ rs.rows.item(i).DISCIPLINE_ID)
    }
    return rs;
}

function updateFavourites(data){
    db.transaction(function(tx){
        tx.executeSql('delete from FAVOURITES');
        for (var i in data){
            if (data[i].matchId){
                addToFavourites(data[i].matchId, 'M', data[i].name, data[i].disciplineId, data[i].icon)
            } else if (data[i].teamId){
                addToFavourites(data[i].teamId, 'T', data[i].name, data[i].disciplineId, data[i].icon)
            } else {
                addToFavourites(data[i].catId, 'C', data[i].name, data[i].disciplineId, data[i].icon)
            }
        }
    });
}

function favouritesExist(){
    var rs
    db.readTransaction(function(tx){
        rs = tx.executeSql('select count(0) as CNT from FAVOURITES');
    });
    return rs.rows.item(0).CNT > 0
}

function getFavouritesCount(){
    var rs
    db.readTransaction(function(tx){
        rs = tx.executeSql('select count(0) as CNT from FAVOURITES');
    });
    return rs.rows.item(0).CNT
}
